/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ACTIONCOPYTREE_H
#define ACTIONCOPYTREE_H

#include "actionabstracttransfertree.h"


namespace sh{
    namespace actions{
        namespace common{

            /** \brief
             * Action copying a filesystem tree to some other place.
             */
            class ActionCopyTree : public sh::actions::common::ActionAbstractTransferTree
            {
                Q_OBJECT
            public:
                ActionCopyTree(QList<std::shared_ptr<const sh::filesystem::Eurl>> sources, std::shared_ptr<const sh::filesystem::Eurl> destination);
                void action(sh::actions::ActionExecutionInfo* info);
            };

        }
    }
}

#endif // ACTIONCOPYTREE_H
