/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ACTIONGROUPS_H
#define ACTIONGROUPS_H

#include "actions/submenuactionitem.h"


namespace sh{
    namespace filesystem{class FilesystemNode;}
    namespace actions{
        class ActionCategory;
        class ActionInstantiation;

        namespace common {

            /** \brief
             * Action for showing registered actions grouped by an sh::actions::ActionCategory.
             */
            class ActionGroups : public sh::actions::SubmenuActionItem
            {
                Q_OBJECT
            public:
                ActionGroups(std::shared_ptr<sh::actions::ActionCategory> category);
                void setGroupActions(std::shared_ptr<sh::actions::ActionInstantiation> rootsituation, QList<std::shared_ptr<sh::actions::ActionInstantiation>> selacts, QList<std::shared_ptr<sh::actions::ActionInstantiation>> diracts);
            protected:
                void initialize();
                std::shared_ptr<sh::actions::ActionCategory> category;
            };

        }
    }
}

#endif // ACTIONGROUPS_H
