/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ACTIONOPENARCHIVE_H
#define ACTIONOPENARCHIVE_H

#include "actions/actionactionitem.h"
#include "filesystem/filesystemnode.h"


namespace sh{
    namespace actions{
        namespace common {

            /** \brief
             * Action opening a sharc archive (by creating a root node for it).
             */
            class ActionOpenArchive : public sh::actions::ActionActionItem
            {
                Q_OBJECT
            public:
                explicit ActionOpenArchive(QList<std::shared_ptr<sh::filesystem::FilesystemNode>> nodes);
            protected:
                virtual void action(sh::actions::ActionExecutionInfo* info);
                virtual QString label() =0;
                virtual void initialize();
                virtual QString scheme() =0;
                QList<std::shared_ptr<sh::filesystem::FilesystemNode>> _nodes;
            };

        }
    }
}

#endif // ACTIONOPENARCHIVE_H
