/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ACTIONAPPLYPROFILE_H
#define ACTIONAPPLYPROFILE_H

#include "actions/actionactionitem.h"
#include "actions/submenuactionitem.h"


namespace sh{
    namespace actions {
        namespace mainmenu {

            /** \brief
             * Submenu action for switching the current profile.
             */
            class ActionApplyProfile : public sh::actions::SubmenuActionItem
            {
                Q_OBJECT
            private:

                /** \brief
                 * Action for switching the current profile to a certain one.
                 */
                class ActionApplyProfileX : public sh::actions::ActionActionItem
                {
                public:
                    ActionApplyProfileX(QString profilename, bool checked);
                protected:
                    virtual void action(sh::actions::ActionExecutionInfo* info);
                    QString profilename;
                };

            public:
                ActionApplyProfile();
            protected:
                virtual void initialize();
                void configure();
            };

        }
    }
}

#endif // ACTIONAPPLYPROFILE_H
