/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ACTIONFILEVIEWCHANGEICONDIMENSION_H
#define ACTIONFILEVIEWCHANGEICONDIMENSION_H

#include "actions/actionactionitem.h"


namespace sh{
    namespace actions {
        namespace mainmenu {

            /** \brief
             * Action for changing the icon size.
             */
            class ActionFileViewChangeIconDimension : public sh::actions::ActionActionItem
            {
                Q_OBJECT
            public:
                ActionFileViewChangeIconDimension(QString name, int direction, QString icon, QKeySequence shortcut);
            protected:
                virtual void action(sh::actions::ActionExecutionInfo* info);
                void configure();
                int _direction;
            };

            /** \brief
             * Action for increasing the icon size.
             */
            class ActionFileViewIncreaseIconDimension : public ActionFileViewChangeIconDimension
            {
                Q_OBJECT
            public:
                ActionFileViewIncreaseIconDimension();
            };

            /** \brief
             * Action for decreasing the icon size.
             */
            class ActionFileViewDecreaseIconDimension : public ActionFileViewChangeIconDimension
            {
                Q_OBJECT
            public:
                ActionFileViewDecreaseIconDimension();
            };

        }
    }
}

#endif // ACTIONFILEVIEWCHANGEICONDIMENSION_H
