/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <QDesktopServices>
#include "actions/actionexecutioninfo.h"
#include "base/mainthread.h"
#include "base/shallotprocess.h"
#include "ui/mainwindow.h"
#include "actionhelp.h"


sh::actions::mainmenu::ActionHelp::ActionHelp()
    : sh::actions::ActionActionItem(tr("&Help"), true, "help-hint")
{
    setShortcuthint(QKeySequence(Qt::Key_F1));
}

void sh::actions::mainmenu::ActionHelp::action(sh::actions::ActionExecutionInfo*)
{
    sh::base::MainThread::dispatcher()->invokeSync([](){
        QString docfile = sh::base::ShallotProcess::shallotDataDir() + "/README.pdf";
        if (QFile().exists(docfile))
            QDesktopServices::openUrl(QUrl("file:///" + docfile));
        else
            QDesktopServices::openUrl(QUrl(sh::base::ShallotProcess::homepage()));
    });
}
