/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ACTIONMAIN_H
#define ACTIONMAIN_H

#include "base/singletoninitializer.h"
#include "actions/submenuactionitem.h"


namespace sh{
    namespace actions {
        namespace mainmenu {

            /** \brief
             * Submenu action providing the Shallot main menu.
             */
            class ActionMain : public sh::actions::SubmenuActionItem, public sh::base::Singleton
            {
                Q_OBJECT
                DECLARE_SINGLETON(ActionMain)
            protected:
                void initialize() override;

            private:
                ActionMain();
            };

        }
    }
}

#endif // ACTIONMAIN_H
