/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "actions/actionexecutioninfo.h"
#include "base/mainthread.h"
#include "ui/mainwindow.h"
#include "ui/manageprofilesdialog.h"
#include "actionmanagesavedsettings.h"


sh::actions::mainmenu::ActionManageSavedSettings::ActionManageSavedSettings()
    : sh::actions::ActionActionItem(tr("&Manage settings..."))
{
}

void sh::actions::mainmenu::ActionManageSavedSettings::action(sh::actions::ActionExecutionInfo* info)
{
    info->setVisualProcessFeedbackActive(false);
    std::shared_ptr<sh::ui::ManageProfilesDialog> dialog = sh::ui::MainWindow::mainWindow()->showManageProfilesDialog();
    dialog->waitClosed();
    sh::base::MainThread::dispatcher()->invokeSync([&](){
        sh::ui::MainWindow::mainWindow()->reloadProfile();
    });
}
