/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "base/mainthread.h"
#include "ui/mainwindow.h"
#include "actionshowdetailpanel.h"


sh::actions::mainmenu::ActionShowDetailPanel::ActionShowDetailPanel()
    : sh::actions::ActionActionItem(tr("Show detail &panel"), true, QString(), 0, true)
{
    setShortcuthint(QKeySequence(Qt::CTRL|Qt::SHIFT|Qt::Key_V));
    sh::ui::MainWindow::mainWindow()->onGlobalViewOptionsChanged([=](){
        configure();
    }, this);
    configure();
}

void sh::actions::mainmenu::ActionShowDetailPanel::configure()
{
    _set = !sh::ui::MainWindow::mainWindow()->fileDetailsPanelVisible();
    setChecked(!_set);
}

void sh::actions::mainmenu::ActionShowDetailPanel::action(sh::actions::ActionExecutionInfo*)
{
    sh::base::MainThread::dispatcher()->invokeSync([&](){
        sh::ui::MainWindow::mainWindow()->setFileDetailsPanelVisible(_set);
    });
}
