/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DETAILCOLUMNMTIME_H
#define DETAILCOLUMNMTIME_H

#include "base/singletoninitializer.h"
#include "filesystem/detailcolumn.h"


namespace sh{
    namespace detailcolumns {

        /** \brief
         * Detail column which determines the file's modification time.
         */
        class DetailColumnMtime : public sh::filesystem::DetailColumn, public sh::base::Singleton
        {
            DECLARE_SINGLETON(DetailColumnMtime)
        public:
            void applyValueByEurl(std::shared_ptr<const sh::filesystem::Eurl> eurl, sh::filesystem::Operation* op, QVariant value) override;

        protected:
            void doInitialize() override;
            QVariant determineValue(std::shared_ptr<sh::filesystem::FilesystemNode> node, sh::filesystem::Operation* op) override;
            QString displayValue(std::shared_ptr<sh::filesystem::FilesystemNode> node, const sh::filesystem::FilesystemModelFileviewProxy *viewmodel) override;

        private:
            DetailColumnMtime();

        };

    }
}

#endif // DETAILCOLUMNMTIME_H
