/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef IOEXCEPTION_H
#define IOEXCEPTION_H

#include "runtimeexception.h"


namespace sh{
    namespace exceptions {

        /** \brief
         * Shallot exception in IO.
         * It allows resume and typically allows retry (special cases may override each of them).
         */
        class IOException : public sh::exceptions::RuntimeException
        {
        public:
            IOException(ExceptionData data);

        };

    }
}

#endif // IOEXCEPTION_H
