/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PERMISSIONDENIEDEXCEPTION_H
#define PERMISSIONDENIEDEXCEPTION_H

#include "ioexception.h"


namespace sh{
    namespace exceptions {

        /** \brief
         * Shallot exception for something forbidden was tried to execute.
         * It allows resume and retry (special cases may override each of them).
         */
        class PermissionDeniedException : public sh::exceptions::IOException
        {
        public:
            PermissionDeniedException(ExceptionData data);

        };

    }
}

#endif // PERMISSIONDENIEDEXCEPTION_H
