/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef RUNTIMEEXCEPTION_H
#define RUNTIMEEXCEPTION_H

#include "exception.h"


namespace sh{
    namespace exceptions {

        /** \brief
         * Shallot exception for failed operation due to (often external) runtime effects.
         * It allows resume and optionally allows retry (special cases may override each of them).
         */
        class RuntimeException : public Exception
        {
        public:
            RuntimeException(ExceptionData data);
        };

    }
}

#endif // RUNTIMEEXCEPTION_H
