/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FILEPROPERTYDIALOGTABWINDOWS_H
#define FILEPROPERTYDIALOGTABWINDOWS_H

#include "actions/actionactionitem.h"
#include "ui/filepropertydialog.h"


namespace sh{
    namespace filepropertydialogtabs {

        /** \brief Properties dialog tab for unix permissions.
         */
        class FilePropertyDialogTabWindows : public sh::ui::FilePropertyDialogTab
        {
#ifdef Q_OS_WIN
        public:
            FilePropertyDialogTabWindows();
            QString title() override;
            QList<QString> properties() override;
            void populateWidget(int i, sh::ui::FilePropertyDialogTabActionsView* widget) override;
            void updateWidget(int i, sh::ui::FilePropertyDialogTabActionsView* widget, sh::filesystem::Operation *op) override;

            /** @a_infrastructure
             */
            static void doInitialize();

            /** @a_infrastructure
             */
            static void doShutdown();

        private:
            void slot_buttontriggered(int i);

            class ActionOpenWindowsPropertiesDialog : public sh::actions::ActionActionItem
            {
            public:
                ActionOpenWindowsPropertiesDialog(std::shared_ptr<sh::filepropertydialogtabs::FilePropertyDialogTabWindows> tab);
            protected:
                virtual void action(sh::actions::ActionExecutionInfo* info);
                std::shared_ptr<sh::filepropertydialogtabs::FilePropertyDialogTabWindows> tab;
            };
#endif
        };

    }
}

#endif // FILEPROPERTYDIALOGTABWINDOWS_H
