/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GNOMEIOSMBFILESYSTEMHANDLER_H
#define GNOMEIOSMBFILESYSTEMHANDLER_H

#include "base/singletoninitializer.h"
#include "gnomeiofilesystemhandler.h"


#ifdef GIO

namespace sh{
    namespace filesystemhandlers {

        /** \brief
         * A filesystem handler for the GIO filesystem 'smb' subtrees (in 'Network').
         */
        class GnomeIOSmbFilesystemHandler : public sh::filesystemhandlers::GnomeIOFilesystemHandler, public sh::base::Singleton
        {
            Q_OBJECT
            DECLARE_SINGLETON(GnomeIOSmbFilesystemHandler)
        public:
            sh::filesystem::FilesystemNodeType getType(sh::filesystem::Operation* op, std::shared_ptr<const sh::filesystem::Eurl> eurl) override;

        protected:
            void doInitialize() override;

        private:
            explicit GnomeIOSmbFilesystemHandler();

        };

    }
}

#endif

#endif // GNOMEIOSMBFILESYSTEMHANDLER_H
