/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef COMMONPANELDETAILS_H
#define COMMONPANELDETAILS_H

#include <functional>
#include <memory>


namespace sh{
    namespace filesystem{class FilesystemNode;class DetailColumn;class Operation;}

    namespace paneldetails {

        class PanelDetail;

        /** \brief
         * Implementations of common details provider for the details panel.
         */
        class CommonPanelDetails
        {
        public:

            /** @a_infrastructure
             */
            static void doInitialize();

            /** @a_infrastructure
             */
            static void doShutdown();

            static void _ViaDetailColumn(std::shared_ptr<PanelDetail> detail, std::shared_ptr<sh::filesystem::FilesystemNode> node, std::shared_ptr<sh::filesystem::DetailColumn> column, QString keyname, std::function<QString(QVariant)> valtostring);
            static void NumberOfSelectedItems(std::shared_ptr<PanelDetail>, QList<std::shared_ptr<sh::filesystem::FilesystemNode>>, sh::filesystem::Operation* op);
            static void TotalFileSize(std::shared_ptr<PanelDetail>, QList<std::shared_ptr<sh::filesystem::FilesystemNode>>, sh::filesystem::Operation* op);
            static void FileType(std::shared_ptr<PanelDetail> detail, std::shared_ptr<sh::filesystem::FilesystemNode> node, sh::filesystem::Operation* op);
            static void FileSize(std::shared_ptr<PanelDetail> detail, std::shared_ptr<sh::filesystem::FilesystemNode> node, sh::filesystem::Operation* op);
            static void FileModificationTime(std::shared_ptr<PanelDetail> detail, std::shared_ptr<sh::filesystem::FilesystemNode> node, sh::filesystem::Operation* op);
        };

    }
}

#endif // COMMONPANELDETAILS_H
