/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef APIACTION_H
#define APIACTION_H

#include "actions/actionactionitem.h"
#include "actions/submenuactionitem.h"


namespace sh{
    namespace scripting {
        namespace api {

            class ApiSubmenuActionItem : public sh::actions::SubmenuActionItem
            {
            public:
                ApiSubmenuActionItem(QString text, bool enabled, QString icon, int defaultActionPrecedence);
                std::function<void ()> _initialize;
                void initialize() override;
            };

            class ApiActionActionItem : public sh::actions::ActionActionItem
            {
            public:
                ApiActionActionItem(QString text, bool enabled, QString icon, int defaultActionPrecedence);
                void _execute();
                void _initializeSync() { initializeSync(); }
                std::function<void ()> _initialize;
                std::function<void (sh::actions::ActionExecutionInfo*)> _action;
                void action(sh::actions::ActionExecutionInfo* info) override;
                void initialize() override;
            };

        }
    }
}

#endif // APIACTION_H
