/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "filesystem/filesystemnode.h"
#include "filesystem/eurl.h"
#include "apidetailcolumn.h"


sh::scripting::api::ApiDetailColumn::ApiDetailColumn(QString name, QString displayName, int displayIndex, bool sort_doTypediff, int defaultWidth, bool isRightAligned) : sh::filesystem::DetailColumn(name, displayName, displayIndex, sort_doTypediff, defaultWidth, isRightAligned)
{
}

QVariant sh::scripting::api::ApiDetailColumn::determineValue(std::shared_ptr<sh::filesystem::FilesystemNode> node, sh::filesystem::Operation *op)
{
    QVariant result = sh::filesystem::DetailColumn::VALUE_UNAVAILABLE();
    sh::exceptions::Exception::executeGuarded_errorpanel([&](){
        result = _determineValue(node, op);
    });
    return result;
}

void sh::scripting::api::ApiDetailColumn::applyValue(std::shared_ptr<const sh::filesystem::Eurl> eurl, sh::filesystem::Operation* op, QVariant value)
{
    _applyValue(std::const_pointer_cast<sh::filesystem::Eurl>(eurl), op, value.toString());
}
