/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef APIPANELDETAILFACTORY_H
#define APIPANELDETAILFACTORY_H

#include "paneldetails/paneldetailmanager.h"


namespace sh{
    namespace scripting {
        namespace api {

            class ApiPanelDetailFactorySingle : public sh::paneldetails::PanelDetailFactoryForFunctionSingle
            {
            public:
                ApiPanelDetailFactorySingle(int position, int valueWidthHint);
                void setvalue(std::shared_ptr<sh::paneldetails::PanelDetail>, std::shared_ptr<sh::filesystem::FilesystemNode> node, filesystem::Operation *op);
                void linktriggered(std::shared_ptr<sh::filesystem::FilesystemNode> node, QString linktarget);
                std::function<void(sh::paneldetails::PanelDetail*, std::shared_ptr<sh::filesystem::FilesystemNode>, sh::filesystem::Operation* op)> _setvalue;
                std::function<void(std::shared_ptr<sh::filesystem::FilesystemNode>, QString)> _linktriggered;
            };

            class ApiPanelDetailFactoryMulti : public sh::paneldetails::PanelDetailFactoryForFunctionMulti
            {
            public:
                ApiPanelDetailFactoryMulti(int position, int valueWidthHint);
                void setvalue(std::shared_ptr<sh::paneldetails::PanelDetail> detail, QList<std::shared_ptr<sh::filesystem::FilesystemNode>> nodes, filesystem::Operation *op);
                void linktriggered(QList<std::shared_ptr<sh::filesystem::FilesystemNode>> nodes, QString linktarget);
                std::function<void(sh::paneldetails::PanelDetail*, QList<std::shared_ptr<sh::filesystem::FilesystemNode>>, sh::filesystem::Operation* op)> _setvalue;
                std::function<void(QList<std::shared_ptr<sh::filesystem::FilesystemNode>>, QString)> _linktriggered;
            };

        }
    }
}

#endif // APIPANELDETAILFACTORY_H
