/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "exceptions/exception.h"
#include "base/threadpool.h"
#include "apithread.h"


sh::scripting::api::ApiThread::ApiThread()
{
}

void sh::scripting::api::ApiThread::start()
{
    sh::base::ThreadPool::enqueueForce([=](){
        try
        {
            sh::exceptions::Exception::executeGuarded_errorpanel([&](){
                _run();
            });
        }
        catch(sh::exceptions::CancelException&)
        {
        }
    }, shared_from_this());
}
