/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef APITHREAD_H
#define APITHREAD_H

#include <functional>
#include <memory>


namespace sh{
    namespace scripting {
        namespace api {

            class ApiThread : public std::enable_shared_from_this<ApiThread>
            {
            public:
                ApiThread();
                void start();
                std::function<void()> _run;
            };

        }
    }
}

#endif // APITHREAD_H
