/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "filesystem/filesystemnode.h"
#include "apithumbnailprovider.h"


sh::scripting::api::ApiThumbnailProvider::ApiThumbnailProvider()
{
}

void sh::scripting::api::ApiThumbnailProvider::getThumbnail(sh::filesystem::Operation* operation, std::shared_ptr<sh::filesystem::FilesystemNode> node, QString contentType, int width, int height, QIcon* icon)
{
    QByteArray ar;
    sh::exceptions::Exception::executeGuarded_errorpanel([&](){
        ar = _getThumbnail(operation, node, contentType, width, height);
    });
    if (!ar.isNull())
    {
        QImage img;
        img.loadFromData(ar);
        img = img.scaled(width, height, Qt::KeepAspectRatio, Qt::SmoothTransformation);
        icon->addPixmap(QPixmap::fromImage(img));
    }
}

