import shallot

# Write a subclass of shallot.ConfigurationValue for implementing a custom
# configuration value (which is visible in Tuning dialog).

class MyConfigurationValue(shallot.ConfigurationValue):

    def __init__(self):
        shallot.ConfigurationValue.__init__(self, "plugin_helloworld.firstrun", defaultvalue=True,
                        category=shallot.ConfigurationValue.Category.Behavior,
                        description="HelloWorld Plugin First Run")


class MyAction(shallot.Actions.ActionAction):

    def __init__(self, myconfigvalue):
        shallot.Actions.ActionAction.__init__(self, "My action")
        self.myconfigvalue = myconfigvalue

    def action(self, info):
        shallot.Logging.log_info("Hello world!")
        myconfigvalue.set_value(False)


# Instantiate my configuration value ...
myconfigvalue = MyConfigurationValue()

# ... and check if it is set or not (in order to execute MyAction when shallot
# starts the first time).
if myconfigvalue.value():
    myaction = MyAction(myconfigvalue)
    myaction.initialize_sync()
    myaction.execute()
