import shallot

# Scripts can have some direct influence to the shallot main window.
# See shallot.MainWindow.current() and shallot global functions.

class MyAction(shallot.Actions.ActionAction):

    def __init__(self, nodes):
        shallot.Actions.ActionAction.__init__(self, "Go to")

    def action(self, info):
        currenteurl = shallot.MainWindow.current().get_current_directory_node().eurl()
        if currenteurl.scheme() == "file":
            defpath = currenteurl.path()
        else:
            defpath = "/home"
        answer = info.userfeedback().simple_inputbox("Target path:", defpath)
        if answer is not None:
            shallot.MainWindow.current().jump_to_eurl(shallot.Eurl.create("file", None, answer))


shallot.Actions.register(MyAction, predicates=[shallot.Actions.HideOnSelectionLevelPredicate()])
