import shallot

# A shallot.Eurl contains a filesystem location. Read help for details.

def printinfo(eurl):
    txt = "Eurl api demonstration:"
    txt += "\n eurl.as_string(): " + eurl.as_string()
    txt += "\n eurl.basename(): " + eurl.basename()
    txt += "\n eurl.path(): " + eurl.path()
    txt += "\n eurl.root().as_string(): " + eurl.root().as_string()
    parent_segment = eurl.parent_segment()
    while parent_segment is not None:
        txt += "\n   parent: " + parent_segment.as_string()
        parent_segment = parent_segment.parent_segment()
    shallot.Logging.log_info(txt)

printinfo( shallot.Eurl.create("foo", "myserver", "/bar/baz/some.file") )
printinfo( shallot.Eurl.create("file", None, "/p1").with_appended_segments("p2/p3") )
printinfo( shallot.Eurl.from_string("sahp://myhost/p1/p2") )
printinfo( shallot.Eurl.from_string("somecloud:///x1/archive.farc").enwrap_with_outer_url("fooarc", None, "/xy/somepic.png") )

