import shallot


# A shallot.Filesystem.Node is a node in the filesystem graph. It refers to a file,
# link, directory, or more exotic things. Sometimes you get one as a
# parameter when implementing an api baseclass. You can also get them
# by other ways (see below).

class MyAction(shallot.Actions.ActionAction):

    def __init__(self, nodes):
        shallot.Actions.ActionAction.__init__(self, "Filesystem.Node demo")
        self.nodes = nodes

    def action(self, info):
        nodes = shallot.Filesystem.find_nodes_for_eurl(shallot.Eurl.create("file", None, "/"))
        for node in nodes:
            shallot.Logging.log_info("node.eurl(): {}".format(node.eurl().as_string()))
            shallot.Logging.log_info("node.nodetype(): {}".format(node.nodetype()))
            node.set_icon("dialog-ok")


shallot.Actions.register(MyAction)
