import shallot

# Write an subclass of shallot.PanelDetails.SingleSelectionPanelDetail or
# shallot.PanelDetails.MultiSelectionPanelDetail for implementing
# a custom section in the details panel.

class MySingleSelectionPanelDetail(shallot.PanelDetails.SingleSelectionPanelDetail):

    def __init__(self):
        shallot.PanelDetails.SingleSelectionPanelDetail.__init__(self, valueWidthHint=6)

    def set_value(self, detail, node, op):
        return [("Eurl", [shallot.PanelDetails.PanelDetailValueElementString(node.eurl().as_string())])]


class MyMultiSelectionPanelDetail(shallot.PanelDetails.MultiSelectionPanelDetail):

    def __init__(self):
        shallot.PanelDetails.MultiSelectionPanelDetail.__init__(self, valueWidthHint=6)

    def set_value(self, detail, nodes, op):
        l = [x.eurl().as_string() for x in nodes]
        l = sorted(l, key=lambda x:len(x))
        shortest = l[0]
        return [("Shortest selected eurl", [shallot.PanelDetails.PanelDetailValueElementString(shortest), shallot.PanelDetails.PanelDetailValueElementButton("print all to log", "printall", autohide=True)])]

    def link_triggered(self, nodes, linktarget):
        eurls = []
        for n in nodes:
            eurls.append(n.eurl().as_string())
        shallot.Logging.log_info("Selected nodes: " + (", ".join(eurls)))


# Register the new implementations.
shallot.PanelDetails.PanelDetail.register(MySingleSelectionPanelDetail())
shallot.PanelDetails.PanelDetail.register(MyMultiSelectionPanelDetail())
