import shallot
import time
import datetime

# This plugin show how to add custom content to the 'Properties' dialog.

class MyPropertyTab(shallot.FilePropertyDialog.Tab):

    def __init__(self):
        properties = [
            shallot.FilePropertyDialog.Tab.PropertyConfig("Current time", shallot.FilePropertyDialog.Tab.PropertyType.String,
                                                         buttons=[shallot.FilePropertyDialog.Tab.PropertyButtonConfig("Show textual", self.btn_show_time_textual),
                                                                  shallot.FilePropertyDialog.Tab.PropertyButtonConfig("Show timestamp", self.btn_show_time_timestamp)]),
            shallot.FilePropertyDialog.Tab.PropertyConfig("Line containing 'foo'", shallot.FilePropertyDialog.Tab.PropertyType.StringMap,
                                                         buttons=[shallot.FilePropertyDialog.Tab.PropertyButtonConfig("Foo", self.btn_baz)]),
            shallot.FilePropertyDialog.Tab.PropertyConfig("Brathering", shallot.FilePropertyDialog.Tab.PropertyType.String),
        ]
        shallot.FilePropertyDialog.Tab.__init__(self, title="My properties", properties=properties)
        self.show_time_textual = True

    def update_widget(self, i, op):
        if i == 0:
            now = datetime.datetime.now()
            return str(now if self.show_time_textual else now.timestamp())
        elif i == 1:
            result = []
            for node in self.nodes():
                bcnt = op.filesystem().get_file_content(node.eurl()).readall()
                if bcnt is None:
                    bcnt = b''
                cnt = bcnt.decode(errors='ignore')
                lnr = 1
                for cntl in cnt.split("\n"):
                    if "foo" in cntl:
                        result.append(("line {}".format(lnr), cntl.strip()))
                    lnr += 1
            return result
        elif i == 2:
            return None

    def btn_show_time_textual(self):
        self.show_time_textual = True
        self.refresh()

    def btn_show_time_timestamp(self):
        self.show_time_textual = False
        self.refresh()

    def btn_baz(self):
        shallot.Logging.log_info("Foo!")
        for node in self.nodes():
            shallot.Logging.log_info(node.eurl().as_string())


shallot.FilePropertyDialog.Tab.register(MyPropertyTab)
