import shallot

# This action marks a node as hidden for this Shallot session. You will only see those nodes if you have set up
# showing hidden items. Note: This will not change anything in the filesystem but just the internal data structures.
# It will go away once you close Shallot.

class SetHiddenAction(shallot.Actions.ActionAction):

    def __init__(self, nodes):
        shallot.Actions.ActionAction.__init__(self, "Set item as hidden for now")
        self.nodes = nodes

    def action(self, info):
        for node in self.nodes:
            node.set_hidden(True)


shallot.Actions.register(SetHiddenAction, predicates=[
    shallot.Actions.HideOnCurrentDirectoryLevelPredicate(),
    shallot.Actions.DontResolveLinksPredicate()])
