/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "ui/mainwindow.h"
#include "filedetailspanelvisible.h"


REGISTER_SETTING(sh::settings::common::FileDetailsPanelVisible)

sh::settings::common::FileDetailsPanelVisible::FileDetailsPanelVisible()
{
}

QString sh::settings::common::FileDetailsPanelVisible::name()
{
    return "detailpanel-visible";
}

QString sh::settings::common::FileDetailsPanelVisible::description()
{
    return QObject::tr("Visibility of detail panel");
}

sh::settings::SettingGroup sh::settings::common::FileDetailsPanelVisible::group()
{
    return sh::settings::SettingGroup::GUI;
}

bool sh::settings::common::FileDetailsPanelVisible::isAdvancedSetting()
{
    return true;
}

void sh::settings::common::FileDetailsPanelVisible::setValue(QString value )
{
    sh::ui::MainWindow::mainWindow()->setFileDetailsPanelVisible(value=="1");
}

QString sh::settings::common::FileDetailsPanelVisible::getValue(sh::ui::FileView *)
{
    return ( sh::ui::MainWindow::mainWindow()->fileDetailsPanelVisible() ?"1":"0");
}

QString sh::settings::common::FileDetailsPanelVisible::valueDescription(QString value)
{
    return (value=="1" ?
                QObject::tr("Detail panel is visible") :
                QObject::tr("Detail panel is not visible"));
}

bool sh::settings::common::FileDetailsPanelVisible::isGlobal()
{
    return false;
}

bool sh::settings::common::FileDetailsPanelVisible::isPerFileview()
{
    return false;
}
