/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "ui/mainwindow.h"
#include "jumpbarmode.h"


REGISTER_SETTING(sh::settings::common::JumpbarMode)

sh::settings::common::JumpbarMode::JumpbarMode()
{
}

QString sh::settings::common::JumpbarMode::name()
{
    return "jumpbar-mode";
}

QString sh::settings::common::JumpbarMode::description()
{
    return QObject::tr("Address bar mode");
}

sh::settings::SettingGroup sh::settings::common::JumpbarMode::group()
{
    return sh::settings::SettingGroup::GUI;
}

bool sh::settings::common::JumpbarMode::isAdvancedSetting()
{
    return false;
}

void sh::settings::common::JumpbarMode::setValue( QString value )
{
    if (value == "1")
        sh::ui::MainWindow::mainWindow()->jumpbarSetTextMode();
    else
        sh::ui::MainWindow::mainWindow()->jumpbarSetButtonMode();
}

QString sh::settings::common::JumpbarMode::getValue(sh::ui::FileView *)
{
    return (sh::ui::MainWindow::mainWindow()->jumpbarIsTextMode() ? "1" : "0");
}

bool sh::settings::common::JumpbarMode::isGlobal()
{
    return false;
}

bool sh::settings::common::JumpbarMode::isPerFileview()
{
    return false;
}

QString sh::settings::common::JumpbarMode::valueDescription(QString value)
{
    return ((value=="1") ? QObject::tr("textual") : QObject::tr("buttons") );
}
