/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "ui/mainwindow.h"
#include "showtree.h"


REGISTER_SETTING(sh::settings::common::ShowTree)

sh::settings::common::ShowTree::ShowTree()
{
}

QString sh::settings::common::ShowTree::name()
{
    return "tree-visible";
}

QString sh::settings::common::ShowTree::description()
{
    return QObject::tr("Visibility of the folder tree");
}

sh::settings::SettingGroup sh::settings::common::ShowTree::group()
{
    return sh::settings::SettingGroup::GUI;
}

bool sh::settings::common::ShowTree::isAdvancedSetting()
{
    return false;
}

void sh::settings::common::ShowTree::setValue( QString value )
{
    sh::ui::MainWindow::mainWindow()->setTreeVisible(value=="1");
}

QString sh::settings::common::ShowTree::getValue(sh::ui::FileView *)
{
    return (sh::ui::MainWindow::mainWindow()->treeVisible() ? "1" : "0");
}

bool sh::settings::common::ShowTree::isGlobal()
{
    return true;
}

bool sh::settings::common::ShowTree::isPerFileview()
{
    return false;
}

QString sh::settings::common::ShowTree::valueDescription(QString value)
{
    return ((value=="1") ? QObject::tr("tree is visible") : QObject::tr("tree is hidden") );
}
