/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "filesystem/filesystemmodelfileviewproxy.h"
#include "ui/mainwindow.h"
#include "windowtitle.h"


REGISTER_SETTING(sh::settings::common::WindowTitle)

sh::settings::common::WindowTitle::WindowTitle()
{
}

QString sh::settings::common::WindowTitle::name()
{
    return "window-title";
}

QString sh::settings::common::WindowTitle::description()
{
    return QObject::tr("Window title pattern");
}

sh::settings::SettingGroup sh::settings::common::WindowTitle::group()
{
    return sh::settings::SettingGroup::GUI;
}

bool sh::settings::common::WindowTitle::isAdvancedSetting()
{
    return true;
}

void sh::settings::common::WindowTitle::setValue(QString value)
{
    sh::ui::MainWindow::mainWindow()->setTitlePattern(value);
}

QString sh::settings::common::WindowTitle::getValue(sh::ui::FileView*)
{
    return sh::ui::MainWindow::mainWindow()->titlePattern();
}

bool sh::settings::common::WindowTitle::isGlobal()
{
    return false;
}

bool sh::settings::common::WindowTitle::isPerFileview()
{
    return false;
}
