#-------------------------------------------------
#
# Project created by QtCreator 2013-12-08T12:58:42
#
#-------------------------------------------------

QT       += core gui xml widgets concurrent network

TARGET = shallot
TEMPLATE = app

#CONFIG += PYTHONSCRIPT

#CONFIG += INOTIFY

#CONFIG += GIO

#CONFIG += LIBSECRET

#CONFIG += WEBUI
WEBUI_ENGINE = 1  # 1: poco_net

CONFIG(debug, debug|release) {
    CONFIG += BENCHMARKING
}

WEBUI {
    DEFINES += WEBUI WEBUI_ENGINE=$${WEBUI_ENGINE}
    equals(WEBUI_ENGINE, 1) {
        LIBS += -lPocoNet -lPocoFoundation -lPocoUtil
    }
}

PYTHONSCRIPT {
    unix {
        QMAKE_LFLAGS += $$system(python3-config --ldflags) -rdynamic
        QMAKE_CXXFLAGS += $$system(python3-config --cflags)
        LIBS += $$system(python3-config --libs)
    }
    win32 {
        QMAKE_LFLAGS += -LC:/Python34/libs
        QMAKE_CXXFLAGS += -Ic:/python34/include
        LIBS += c:/python34/libs/python34.lib -lpython34
    }
    DEFINES += PYTHONSCRIPT
    EXTRA_BINFILES += shallot.py
}

win32 {
    LIBS += -lole32 -lpsapi
}

INOTIFY {
    DEFINES += INOTIFY
}

BENCHMARKING {
    QMAKE_CXXFLAGS += -DBENCHMARKING
}

GIO {
    CONFIG += link_pkgconfig
    PKGCONFIG += gio-2.0
    DEFINES += GIO
}

LIBSECRET {
    CONFIG += link_pkgconfig
    PKGCONFIG += libsecret-1
    DEFINES += LIBSECRET
}

QMAKE_CXXFLAGS += "-std=c++11"

# get nice stacktraces
unix {
    QMAKE_LFLAGS += "-rdynamic"
    QMAKE_CXXFLAGS += "-g"
}

TRANSLATIONS   += i18n/shallot_de.ts
EXTRA_BINFILES_I18N += i18n/shallot_de.qm

EXTRA_BINFILES += mime.types
EXTRA_BINFILES += mime.2.types
EXTRA_BINFILES += scripting.pdf

DESTDIR = $${OUT_PWD} # otherwise qt for windows makes weird subdirectory things

SOURCES += main.cpp\
    filesystem/eurl.cpp \
    filesystem/filesystemnode.cpp \
    filesystem/filesystemhandler.cpp \
    filesystem/filesystemhandlerregister.cpp \
    filesystem/operation.cpp \
    filesystem/filesystemmodel.cpp \
    filesystemhandlers/localfilesystemhandler.cpp \
    filesystem/filesystemnodelist.cpp \
    filesystem/filesystemmodeldirectorytreeproxy.cpp \
    filesystem/filesystemmodelfileviewproxy.cpp \
    base/threaddispatcher.cpp \
    base/threadpool.cpp \
    actions/abstractactionitem.cpp \
    actions/separatoractionitem.cpp \
    actions/submenuactionitem.cpp \
    actions/actionactionitem.cpp \
    tools/dataexchange.cpp \
    actions/common/actioncopytree.cpp \
    actions/actionexecutioninfo.cpp \
    actions/common/actionclipboard.cpp \
    actions/common/actionopenterminal.cpp \
    base/iconmanager.cpp \
    filesystemhandlers/sharcfilesystemhandler.cpp \
    exceptions/exception.cpp \
    exceptions/ioexception.cpp \
    actions/common/actionopensharcarchive.cpp \
    exceptions/argumentexception.cpp \
    actions/common/actiondeleteitems.cpp \
    scripting/scriptingengine.cpp \
    filesystem/detailcolumn.cpp \
    exceptions/threadingexception.cpp \
    scripting/pythonscriptinterpreter.cpp \
    actions/actionsmanager.cpp \
    tools/filetypes/filetypemanager.cpp \
    tools/filetypes/unixfiletoolmimetypedeterminationmethod.cpp \
    tools/filetypes/freedesktoporgtoolsmimetypedeterminationmethod.cpp \
    actions/common/actionopenfile.cpp \
    settings/settingsmanager.cpp \
    settings/setting.cpp \
    settings/profilenode.cpp \
    settings/settingsregistration.cpp \
    settings/common/sizeformattingmode.cpp \
    settings/common/windowtitle.cpp \
    settings/common/showtree.cpp \
    settings/common/showhiddenfiles.cpp \
    tools/filetypes/freedesktoporgtoolsopenmethoddeterminationmethod.cpp \
    actions/common/actionopenfilewith.cpp \
    settings/common/stickytreeview.cpp \
    scripting/api.cpp \
    tools/filetypes/suffixlistmimetypedeterminationmethod.cpp \
    actions/common/actionrenameitem.cpp \
    actions/common/actioncreatefolder.cpp \
    settings/common/numberoffilepanels.cpp \
    detailcolumns/detailcolumnmimetype.cpp \
    detailcolumns/detailcolumndirectsymlinktarget.cpp \
    detailcolumns/detailcolumnresolvedsymlink.cpp \
    detailcolumns/detailcolumnfilesize.cpp \
    base/mainthread.cpp \
    base/logger.cpp \
    actions/common/actionmovetree.cpp \
    exceptions/programexception.cpp \
    exceptions/runtimeexception.cpp \
    exceptions/permissiondeniedexception.cpp \
    base/singletoninitializer.cpp \
    scripting/api/apifilesystemhandler.cpp \
    scripting/api/apihelpermethods.cpp \
    scripting/api/apiglobalobject.cpp \
    actions/actionexecutionuserfeedback.cpp \
    actions/common/actionabstracttransfertree.cpp \
    tools/benchmarking.cpp \
    filesystem/filesystemmodelsubtreeproxy.cpp \
    actions/common/actioncreatefile.cpp \
    tools/atomiccounter.cpp \
    tools/datastream.cpp \
    scripting/api/apireaddatadevice.cpp \
    scripting/api/apiaction.cpp \
    scripting/api/apidetailcolumn.cpp \
    ui/columndimensions.cpp \
    detailcolumns/detailcolumnmtime.cpp \
    filesystemhandlers/archivefilesystemhandler.cpp \
    actions/common/actionopenarchive.cpp \
    tools/historytracker.cpp \
    actions/common/actionnavigation.cpp \
    tools/visibleviews.cpp \
    tools/localfilesystemwatcher.cpp \
    tools/thumbnailmanager.cpp \
    tools/operationscache.cpp \
    configuration/configurationmanager.cpp \
    configuration/configurationvalue.cpp \
    configuration/configurationvaluetype.cpp \
    settings/common/fileviewviewmode.cpp \
    settings/common/fileviewpath.cpp \
    actions/mainmenu/actionmain.cpp \
    actions/mainmenu/actionfileviewview.cpp \
    actions/mainmenu/actionfileviewfilesizeformatting.cpp \
    actions/mainmenu/actionfileviewshowhiddenfiles.cpp \
    actions/mainmenu/actionshowfoldertree.cpp \
    actions/mainmenu/actiontreestickyness.cpp \
    actions/mainmenu/actionnumberfileviews.cpp \
    actions/mainmenu/actionsetwindowtitlepattern.cpp \
    actions/mainmenu/actionsavesettings.cpp \
    actions/mainmenu/actionmanagesavedsettings.cpp \
    actions/mainmenu/actionapplyprofile.cpp \
    actions/mainmenu/actiontuning.cpp \
    actions/mainmenu/actionrefresh.cpp \
    actions/mainmenu/actionshowlog.cpp \
    actions/mainmenu/actionabout.cpp \
    actions/mainmenu/actionquit.cpp \
    actions/mainmenu/actionhelp.cpp \
    scripting/api/apipredicatedactionfactory.cpp \
    scripting/api/apisetting.cpp \
    filesystem/filesystemoperation.cpp \
    paneldetails/paneldetailmanager.cpp \
    paneldetails/commonpaneldetails.cpp \
    settings/common/filedetailspanelvisible.cpp \
    actions/mainmenu/actionshowdetailpanel.cpp \
    scripting/api/apipaneldetailfactory.cpp \
    filesystemhandlers/gnomeiofilesystemhandler.cpp \
    filesystemhandlers/gnomeionetworkfilesystemhandler.cpp \
    filesystemhandlers/gnomeiosmbfilesystemhandler.cpp \
    filesystemhandlers/gnomeiodevicesfilesystemhandler.cpp \
    filesystemhandlers/gnomeiogenericfilesystemhandler.cpp \
    filesystem/filesystemoperationtransfers.cpp \
    scripting/api/apifilesystemoperationprogressmonitor.cpp \
    detailcolumns/detailcolumnextendedattributes.cpp \
    actions/common/actionshowproperties.cpp \
    scripting/api/apifilepropertydialogtab.cpp \
    detailcolumns/detailcolumncustomattributes.cpp \
    filesystemhandlers/windowsnetworkfilesystemhandler.cpp \
    actions/mainmenu/actiongotodirectory.cpp \
    search/searchmanager.cpp \
    search/search.cpp \
    search/searchfilesystemhandler.cpp \
    actions/mainmenu/actionsearch.cpp \
    search/searchconfiguration.cpp \
    search/searchcriterion.cpp \
    search/searchcriterionfactory.cpp \
    search/searchcriterionfactoryfromfunction.cpp \
    search/criteria/filenamesearchcriterion.cpp \
    search/criteria/filecontentsearchcriterion.cpp \
    search/criteria/abstractstringsearchcriterion.cpp \
    search/criteria/mtimesearchcriterion.cpp \
    search/criteria/extendedattributesearchcriterion.cpp \
    scripting/api/apithread.cpp \
    scripting/api/apitimer.cpp \
    search/criteria/abstractactiondrivensearchcriterion.cpp \
    scripting/api/apisearchcriterion.cpp \
    scripting/api/apithumbnailprovider.cpp \
    actions/common/actionbookmarks.cpp \
    tools/bookmarkmanager.cpp \
    actions/actionfactory.cpp \
    actions/actioncategory.cpp \
    actions/common/actiongroups.cpp \
    actions/headeractionitem.cpp \
    actions/common/actionopendirectoryinnewwindow.cpp \
    settings/common/fileviewiconlistthumbdimension.cpp \
    actions/mainmenu/actionfileviewchangeicondimension.cpp \
    tools/accounts/accountsmanager.cpp \
    tools/accounts/abstractaccountsprovider.cpp \
    tools/accounts/fallbackaccountsprovider.cpp \
    tools/accounts/libsecretaccountsprovider.cpp \
    tools/thumbnailproviders/defaultimagethumbnailprovider.cpp \
    tools/thumbnailproviders/plaintextthumbnailprovider.cpp \
    tools/filetypes/freedesktoporgmimetypeinformationretrievalstrategy.cpp \
    tools/filetypes/userdefinedopenmethoddeterminationstrategy.cpp \
    tools/thumbnailproviders/ffmpegvideothumbnailprovider.cpp \
    tools/thumbnailproviders/imagemagickpdfthumbnailprovider.cpp \
    actions/common/actionexecute.cpp \
    filesystem/filesystemmodeldirectorytreeproxyvisibilityenforcements.cpp \
    tools/localfilesystemwatcherconnector.cpp \
    ui/mainwindow.cpp \
    ui/qt/qtmainwindow.cpp \
    ui/qt/qtaboutdialog.cpp \
    ui/qt/qtlogviewdialog.cpp \
    ui/qt/qtmanagebookmarksdialog.cpp \
    ui/qt/qtexceptiondialog.cpp \
    ui/qt/qtfiledetailspanel.cpp \
    ui/qt/qtlinkbutton.cpp \
    ui/qt/qtjumpbar.cpp \
    ui/qt/qttuningdialog.cpp \
    ui/qt/qtstoreprofiledialog.cpp \
    ui/qt/qtmanageprofilesdialog.cpp \
    ui/qt/qtfilesystempanel.cpp \
    ui/qt/qtopenwithdialog.cpp \
    ui/qt/qttoolbarbutton.cpp \
    ui/qt/qtsettinguiframe.cpp \
    ui/qt/qtactionexecutioninfopanel.cpp \
    ui/qt/qtactionexecutioninfodialog.cpp \
    ui/qt/qtfileview.cpp \
    ui/qt/qtfilelist.cpp \
    ui/qt/qtfileiconview.cpp \
    ui/fileview.cpp \
    ui/qt/qtfileviewcontrol.cpp \
    ui/qt/feedbackpanels/feedbackpanel.cpp \
    ui/qt/feedbackpanels/credentials.cpp \
    ui/qt/feedbackpanels/unixpermissions.cpp \
    ui/qt/feedbackpanels/gridform.cpp \
    ui/qt/feedbackpanels/msgbox.cpp \
    ui/qt/feedbackpanels/gridforminnersimplechooser.cpp \
    ui/filepropertydialog.cpp \
    ui/qt/qtfilepropertydialog.cpp \
    ui/filepropertydialogtabactionsview.cpp \
    ui/qt/qtfilepropertydialogtabactionsview.cpp \
    ui/qt/qtfilepropertydialogtabtableview.cpp \
    ui/qt/qtfilepropertydialogtabtextview.cpp \
    ui/qt/qtfilepropertydialogtabicontextbannerview.cpp \
    filepropertydialogtabs/filepropertydialogtabgeneral.cpp \
    filepropertydialogtabs/filepropertydialogtabextendedattributes.cpp \
    filepropertydialogtabs/filepropertydialogtabunixpermissions.cpp \
    filepropertydialogtabs/filepropertydialogtabwindows.cpp \
    ui/actionexecutioninfodialog.cpp \
    ui/actionexecutioninfopanel.cpp \
    ui/qt/qtactionmenu.cpp \
    ui/qt/qtsearchpanel.cpp \
    ui/searchpanelconfiguration.cpp \
    ui/qt/qtsearchpanelconfiguration.cpp \
    ui/web/webmainwindow.cpp \
    ui/web/webserverengine.cpp \
    ui/web/webfileview.cpp \
    ui/web/webactionexecutioninfopanel.cpp \
    ui/web/webactionexecutioninfodialog.cpp \
    ui/qt/qtactionmenuhandler.cpp \
    ui/qt/qttoolbarbuttonhandler.cpp \
    actions/mainmenu/actionselect.cpp \
    actions/common/actiontransferto.cpp \
    settings/common/jumpbarmode.cpp \
    ui/web/webfilepropertydialog.cpp \
    ui/web/webmodule.cpp \
    ui/web/webdialog.cpp \
    ui/web/weblogviewdialog.cpp \
    ui/web/webopenwithdialog.cpp \
    ui/web/engines/pocowebserverengine.cpp \
    base/shallotprocess.cpp \
    ui/qt/qtuistyle.cpp \
    ui/web/webexceptiondialog.cpp \
    ui/web/webaboutdialog.cpp \
    ui/web/webtuningdialog.cpp \
    ui/dialog.cpp \
    ui/qt/qtdialog.cpp \
    ui/tuningdialog.cpp \
    ui/logviewdialog.cpp \
    ui/aboutdialog.cpp \
    ui/openwithdialog.cpp \
    ui/exceptiondialog.cpp \
    ui/managebookmarksdialog.cpp \
    ui/storeprofiledialog.cpp \
    ui/manageprofilesdialog.cpp \
    ui/web/webstoreprofiledialog.cpp \
    ui/web/webmanageprofilesdialog.cpp \
    ui/web/webmanagebookmarksdialog.cpp \
    tools/userdirlock.cpp \
    ui/web/webactionmanager.cpp \
    ui/web/webdetailpanelmanager.cpp \
    ui/web/webi18n.cpp \
    tools/earlymutex.cpp \
    ui/web/webserverenginedispatcher.cpp \
    tools/misc.cpp

HEADERS  += \
    filesystem/eurl.h \
    filesystem/filesystemnode.h \
    filesystem/filesystemhandler.h \
    filesystem/filesystemhandlerregister.h \
    filesystem/operation.h \
    filesystem/filesystemmodel.h \
    filesystemhandlers/localfilesystemhandler.h \
    filesystem/filesystemnodelist.h \
    filesystem/filesystemmodeldirectorytreeproxy.h \
    filesystem/filesystemmodelfileviewproxy.h \
    base/threaddispatcher.h \
    base/threadpool.h \
    actions/abstractactionitem.h \
    actions/separatoractionitem.h \
    actions/submenuactionitem.h \
    actions/actionactionitem.h \
    tools/dataexchange.h \
    actions/common/actioncopytree.h \
    actions/actionexecutioninfo.h \
    actions/common/actionclipboard.h \
    actions/common/actionopenterminal.h \
    base/iconmanager.h \
    filesystemhandlers/sharcfilesystemhandler.h \
    exceptions/exception.h \
    exceptions/ioexception.h \
    actions/common/actionopensharcarchive.h \
    exceptions/argumentexception.h \
    actions/common/actiondeleteitems.h \
    scripting/scriptingengine.h \
    filesystem/detailcolumn.h \
    exceptions/threadingexception.h \
    scripting/pythonscriptinterpreter.h \
    actions/actionsmanager.h \
    tools/filetypes/filetypemanager.h \
    tools/filetypes/unixfiletoolmimetypedeterminationmethod.h \
    tools/filetypes/freedesktoporgtoolsmimetypedeterminationmethod.h \
    actions/common/actionopenfile.h \
    settings/settingsmanager.h \
    settings/setting.h \
    settings/profilenode.h \
    settings/settingsregistration.h \
    settings/common/sizeformattingmode.h \
    settings/common/windowtitle.h \
    settings/common/showtree.h \
    settings/common/showhiddenfiles.h \
    tools/filetypes/freedesktoporgtoolsopenmethoddeterminationmethod.h \
    actions/common/actionopenfilewith.h \
    settings/common/stickytreeview.h \
    scripting/api.h \
    tools/filetypes/suffixlistmimetypedeterminationmethod.h \
    actions/common/actionrenameitem.h \
    actions/common/actioncreatefolder.h \
    settings/common/numberoffilepanels.h \
    detailcolumns/detailcolumnmimetype.h \
    detailcolumns/detailcolumndirectsymlinktarget.h \
    detailcolumns/detailcolumnresolvedsymlink.h \
    detailcolumns/detailcolumnfilesize.h \
    base/mainthread.h \
    base/logger.h \
    actions/common/actionmovetree.h \
    exceptions/programexception.h \
    exceptions/runtimeexception.h \
    exceptions/permissiondeniedexception.h \
    base/singletoninitializer.h \
    scripting/api/apifilesystemhandler.h \
    scripting/api/apihelpermethods.h \
    scripting/api/apiglobalobject.h \
    actions/actionexecutionuserfeedback.h \
    actions/common/actionabstracttransfertree.h \
    tools/benchmarking.h \
    filesystem/filesystemmodelsubtreeproxy.h \
    actions/common/actioncreatefile.h \
    tools/atomiccounter.h \
    tools/datastream.h \
    scripting/api/apireaddatadevice.h \
    scripting/api/apiaction.h \
    scripting/api/apidetailcolumn.h \
    ui/columndimensions.h \
    detailcolumns/detailcolumnmtime.h \
    filesystemhandlers/archivefilesystemhandler.h \
    actions/common/actionopenarchive.h \
    tools/historytracker.h \
    base/_projectinfo.h \
    actions/common/actionnavigation.h \
    tools/visibleviews.h \
    tools/localfilesystemwatcher.h \
    tools/thumbnailmanager.h \
    tools/operationscache.h \
    configuration/configurationmanager.h \
    configuration/configurationvalue.h \
    configuration/configurationvaluetype.h \
    settings/common/fileviewviewmode.h \
    settings/common/fileviewpath.h \
    actions/mainmenu/actionmain.h \
    actions/mainmenu/actionfileviewview.h \
    actions/mainmenu/actionfileviewfilesizeformatting.h \
    actions/mainmenu/actionfileviewshowhiddenfiles.h \
    actions/mainmenu/actionshowfoldertree.h \
    actions/mainmenu/actiontreestickyness.h \
    actions/mainmenu/actionnumberfileviews.h \
    actions/mainmenu/actionsetwindowtitlepattern.h \
    actions/mainmenu/actionsavesettings.h \
    actions/mainmenu/actionmanagesavedsettings.h \
    actions/mainmenu/actionapplyprofile.h \
    actions/mainmenu/actiontuning.h \
    actions/mainmenu/actionrefresh.h \
    actions/mainmenu/actionshowlog.h \
    actions/mainmenu/actionabout.h \
    actions/mainmenu/actionquit.h \
    actions/mainmenu/actionhelp.h \
    scripting/api/apipredicatedactionfactory.h \
    scripting/api/apisetting.h \
    filesystem/filesystemoperation.h \
    paneldetails/paneldetailmanager.h \
    paneldetails/commonpaneldetails.h \
    settings/common/filedetailspanelvisible.h \
    actions/mainmenu/actionshowdetailpanel.h \
    scripting/api/apipaneldetailfactory.h \
    filesystemhandlers/gnomeiofilesystemhandler.h \
    filesystemhandlers/gnomeionetworkfilesystemhandler.h \
    filesystemhandlers/gnomeiosmbfilesystemhandler.h \
    filesystemhandlers/gnomeiodevicesfilesystemhandler.h \
    filesystemhandlers/gnomeiogenericfilesystemhandler.h \
    filesystem/filesystemoperationtransfers.h \
    scripting/api/apifilesystemoperationprogressmonitor.h \
    detailcolumns/detailcolumnextendedattributes.h \
    actions/common/actionshowproperties.h \
    scripting/api/apifilepropertydialogtab.h \
    detailcolumns/detailcolumncustomattributes.h \
    filesystemhandlers/windowsnetworkfilesystemhandler.h \
    actions/mainmenu/actiongotodirectory.h \
    search/searchmanager.h \
    search/search.h \
    search/searchfilesystemhandler.h \
    actions/mainmenu/actionsearch.h \
    search/searchconfiguration.h \
    search/searchcriterion.h \
    search/searchcriterionfactory.h \
    search/searchcriterionfactoryfromfunction.h \
    search/criteria/filenamesearchcriterion.h \
    search/criteria/filecontentsearchcriterion.h \
    search/criteria/abstractstringsearchcriterion.h \
    search/criteria/mtimesearchcriterion.h \
    search/criteria/extendedattributesearchcriterion.h \
    scripting/api/apithread.h \
    scripting/api/apitimer.h \
    search/criteria/abstractactiondrivensearchcriterion.h \
    scripting/api/apisearchcriterion.h \
    scripting/api/apithumbnailprovider.h \
    actions/common/actionbookmarks.h \
    tools/bookmarkmanager.h \
    actions/actionfactory.h \
    actions/actioncategory.h \
    actions/common/actiongroups.h \
    actions/headeractionitem.h \
    actions/common/actionopendirectoryinnewwindow.h \
    settings/common/fileviewiconlistthumbdimension.h \
    actions/mainmenu/actionfileviewchangeicondimension.h \
    tools/accounts/accountsmanager.h \
    tools/accounts/abstractaccountsprovider.h \
    tools/accounts/fallbackaccountsprovider.h \
    tools/accounts/libsecretaccountsprovider.h \
    tools/thumbnailproviders/defaultimagethumbnailprovider.h \
    tools/thumbnailproviders/plaintextthumbnailprovider.h \
    tools/filetypes/freedesktoporgmimetypeinformationretrievalstrategy.h \
    tools/filetypes/userdefinedopenmethoddeterminationstrategy.h \
    tools/thumbnailproviders/ffmpegvideothumbnailprovider.h \
    tools/thumbnailproviders/imagemagickpdfthumbnailprovider.h \
    actions/common/actionexecute.h \
    filesystem/filesystemmodeldirectorytreeproxyvisibilityenforcements.h \
    tools/localfilesystemwatcherconnector.h \
    ui/mainwindow.h \
    ui/qt/qtmainwindow.h \
    ui/qt/qtaboutdialog.h \
    ui/qt/qtlogviewdialog.h \
    ui/qt/qtmanagebookmarksdialog.h \
    ui/qt/qtexceptiondialog.h \
    ui/qt/qtfiledetailspanel.h \
    ui/qt/qtlinkbutton.h \
    ui/qt/qtjumpbar.h \
    ui/qt/qttuningdialog.h \
    ui/qt/qtstoreprofiledialog.h \
    ui/qt/qtmanageprofilesdialog.h \
    ui/qt/qtfilesystempanel.h \
    ui/qt/qtopenwithdialog.h \
    ui/qt/qttoolbarbutton.h \
    ui/qt/qtsettinguiframe.h \
    ui/qt/qtactionexecutioninfopanel.h \
    ui/qt/qtactionexecutioninfodialog.h \
    ui/qt/qtfileview.h \
    ui/qt/qtfilelist.h \
    ui/qt/qtfileiconview.h \
    ui/fileview.h \
    ui/qt/qtfileviewcontrol.h \
    ui/qt/feedbackpanels/feedbackpanel.h \
    ui/qt/feedbackpanels/credentials.h \
    ui/qt/feedbackpanels/unixpermissions.h \
    ui/qt/feedbackpanels/gridform.h \
    ui/qt/feedbackpanels/msgbox.h \
    ui/qt/feedbackpanels/gridforminnersimplechooser.h \
    ui/filepropertydialog.h \
    ui/qt/qtfilepropertydialog.h \
    ui/filepropertydialogtabactionsview.h \
    ui/qt/qtfilepropertydialogtabactionsview.h \
    ui/qt/qtfilepropertydialogtabtableview.h \
    ui/qt/qtfilepropertydialogtabtextview.h \
    ui/qt/qtfilepropertydialogtabicontextbannerview.h \
    filepropertydialogtabs/filepropertydialogtabgeneral.h \
    filepropertydialogtabs/filepropertydialogtabextendedattributes.h \
    filepropertydialogtabs/filepropertydialogtabunixpermissions.h \
    filepropertydialogtabs/filepropertydialogtabwindows.h \
    ui/actionexecutioninfodialog.h \
    ui/actionexecutioninfopanel.h \
    ui/qt/qtactionmenu.h \
    ui/qt/qtsearchpanel.h \
    ui/searchpanelconfiguration.h \
    ui/qt/qtsearchpanelconfiguration.h \
    ui/web/webmainwindow.h \
    ui/web/webserverengine.h \
    ui/web/webfileview.h \
    ui/web/webactionexecutioninfopanel.h \
    ui/web/webactionexecutioninfodialog.h \
    ui/qt/qtactionmenuhandler.h \
    ui/qt/qttoolbarbuttonhandler.h \
    actions/mainmenu/actionselect.h \
    actions/common/actiontransferto.h \
    settings/common/jumpbarmode.h \
    ui/web/webfilepropertydialog.h \
    ui/web/webmodule.h \
    ui/web/webdialog.h \
    ui/web/weblogviewdialog.h \
    ui/web/webopenwithdialog.h \
    ui/web/engines/pocowebserverengine.h \
    base/shallotprocess.h \
    ui/qt/qtuistyle.h \
    ui/web/webexceptiondialog.h \
    ui/web/webaboutdialog.h \
    ui/web/webtuningdialog.h \
    ui/dialog.h \
    ui/qt/qtdialog.h \
    ui/tuningdialog.h \
    ui/logviewdialog.h \
    ui/aboutdialog.h \
    ui/openwithdialog.h \
    ui/exceptiondialog.h \
    ui/managebookmarksdialog.h \
    ui/storeprofiledialog.h \
    ui/manageprofilesdialog.h \
    ui/web/webstoreprofiledialog.h \
    ui/web/webmanageprofilesdialog.h \
    ui/web/webmanagebookmarksdialog.h \
    tools/userdirlock.h \
    ui/web/webactionmanager.h \
    ui/web/webdetailpanelmanager.h \
    ui/web/webi18n.h \
    tools/earlymutex.h \
    ui/web/webserverenginedispatcher.h \
    tools/misc.h

FORMS    += \
    ui/qt/qtmainwindow.ui \
    ui/qt/qtaboutdialog.ui \
    ui/qt/qtlogviewdialog.ui \
    ui/qt/qtmanagebookmarksdialog.ui \
    ui/qt/qtexceptiondialog.ui \
    ui/qt/qtjumpbar.ui \
    ui/qt/qttuningdialog.ui \
    ui/qt/qtstoreprofiledialog.ui \
    ui/qt/qtmanageprofilesdialog.ui \
    ui/qt/qtfilesystempanel.ui \
    ui/qt/qtopenwithdialog.ui \
    ui/qt/qtactionexecutioninfodialog.ui \
    ui/qt/feedbackpanels/credentials.ui \
    ui/qt/feedbackpanels/unixpermissions.ui \
    ui/qt/feedbackpanels/gridform.ui \
    ui/qt/feedbackpanels/msgbox.ui \
    ui/qt/qtfilepropertydialog.ui

OTHER_FILES += \
    plugins/pluginmanager.py \
    _meta/_projectdesc \
    icons/dialog-close.512.from.elegant_font.png \
    icons/edit-copy.512.from.elegant_font.png \
    icons/edit-cut.512.from.own.png \
    icons/edit-find.512.from.elegant_font.png \
    icons/edit-delete.512.from.elegant_font.png \
    icons/edit-paste.512.from.elegant_font.png \
    icons/text-x-generic.512.from.elegant_font.png \
    icons/view-refresh.512.from.elegant_font.png \
    icons/window-close.512.from.elegant_font.png \
    icons/list-add.512.from.elegant_font.png \
    icons/folder.512.from.elegant_font.png \
    icons/folder-bookmark.512.from.elegant_font.png \
    icons/utilities-terminal.512.from.elegant_font.png \
    icons/configure.512.from.elegant_font.png \
    icons/help-hint.512.from.elegant_font.png \
    icons/edit-clear-list.512.from.elegant_font.png \
    icons/format-insert-node.512.from.elegant_font.png \
    icons/format-node-line.512.from.elegant_font.png \
    icons/format-remove-node.512.from.elegant_font.png \
    icons/arrow-right-double.512.from.elegant_font.png \
    icons/arrow-right.512.from.elegant_font.png \
    icons/arrow-left-double.512.from.elegant_font.png \
    icons/arrow-left.512.from.elegant_font.png \
    icons/arrow-up.512.from.elegant_font.png \
    icons/arrow-down.512.from.elegant_font.png \
    icons/dialog-ok.512.from.elegant_font.png \
    icons/transform-move.512.from.elegant_font.png \
    icons/format-join-node.512.from.elegant_font.png \
    icons/media-playback-start.512.from.elegant_font.png \
    icons/media-playback-stop.512.from.elegant_font.png \
    icons/rating.512.from.elegant_font.png \
    icons/rating-unrated.512.from.elegant_font.png \
    icons/preferences-system.512.from.elegant_font.png \
    icons/adjustlevels.512.from.elegant_font.png \
    icons/package-x-generic.512.from.elegant_font.png \
    icons/error-critical.512.from.elegant_font.png \
    icons/error-normal.512.from.elegant_font.png \
    icons/error-retryable.512.from.elegant_font.png \
    icons/dialog-error.512.from.elegant_font.png \
    icons/dialog-information.512.from.elegant_font.png \
    icons/dialog-password.512.from.elegant_font.png \
    icons/dialog-question.512.from.elegant_font.png \
    icons/dialog-warning.512.from.elegant_font.png \
    icons/islink.32.from.own.png \
    icons/plugins.512.from.own.png \
    icons/list-remove.512.from.elegant_font.png \
    icons/go-next.512.from.elegant_font.png \
    icons/go-previous.512.from.elegant_font.png \
    icons/go-next-plus.512.from.elegant_font.png \
    icons/arrow-to-left.512.from.elegant_font.png \
    icons/arrow-to-right.512.from.elegant_font.png \
    icons/view.512.from.elegant_font.png \
    icons/drive-removable-media.512.from.own.png \
    icons/network-server.512.from.own.png \
    icons/offline.512.from.elegant_font.png \
    icons/online.512.from.elegant_font.png \
    icons/bookmarks-organize.512.from.elegant_font.png \
    icons/tool-pointer.512.from.elegant_font.png \
    icons/zoom-in.512.from.elegant_font.png \
    icons/zoom-out.512.from.elegant_font.png \
    icons/applications-system.512.from.elegant_font.png \
    icons/audio-x-generic.512.from.elegant_font.png \
    icons/video-x-generic.512.from.elegant_font.png \
    icons/image-x-generic.512.from.elegant_font.png \
    icons/circular-ligh-bulb.512.from.elegant_font.png \
    icons/document-edit.512.from.elegant_font.png \
    icons/pushpin.512.from.elegant_font.png \
    icons/run-build.512.from.elegant_font.png \
    icons/small-pin-shape.512.from.elegant_font.png \
    icons/tag.512.from.elegant_font.png \
    icons/task-delegate.512.from.elegant_font.png \
    icons/user-trash.512.from.elegant_font.png \
    scripting.pdf \
    _meta/readme.rst \
    _meta/readme.scripting.rst \
    shallot.py \
    scriptsamples/01.action.py \
    scriptsamples/02.configurationvalue.py \
    scriptsamples/03.action.advanced.py \
    scriptsamples/04.userfeedback.py \
    scriptsamples/05.setting.py \
    scriptsamples/06.mainwindow.py \
    scriptsamples/07.eurl.py \
    scriptsamples/08.filesystemnode.py \
    scriptsamples/09.operation.py \
    scriptsamples/10.filesystem.py \
    scriptsamples/11.paneldetails.py \
    scriptsamples/12.filesystemoperations.py \
    scriptsamples/13.filesystemoperations.advanced.py \
    scriptsamples/14.filepropertydialogtab.py \
    scriptsamples/15.searchcriterion.py \
    scriptsamples/16.thumbnailprovider.py \
    scriptsamples/17.bookmarks.py \
    scriptsamples/50.hide.filesystemnodes.py \
    scriptsamples/51.threadedreaddatadevice.py \
    web_static/clove/clove.css \
    web_static/clove/clove.js \
    web_static/clove/jquery.js \
    web_static/webui_client/index.html \
    web_static/webui_client/main.css \
    web_static/webui_client/common.js \
    web_static/webui_client/common2.js \
    web_static/webui_client/exceptiondialog.js \
    web_static/webui_client/logviewdialog.js \
    web_static/webui_client/aboutdialog.js \
    web_static/webui_client/managebookmarksdialog.js \
    web_static/webui_client/manageprofilesdialog.js \
    web_static/webui_client/storeprofiledialog.js \
    web_static/webui_client/tuningdialog.js \
    web_static/webui_client/openwithdialog.js \
    web_static/webui_client/propertiesdialog.js \
    web_static/webui_client/dialog.js \
    web_static/webui_client/data.js \
    web_static/webui_client/fileviews.js \
    web_static/webui_client/main.js \
    web_static/webui_client/jumpbar.js \
    web_static/webui_client/statusbar.js \
    web_static/webui_client/detailpanel.js \
    web_static/webui_client/webadapter.poconet.js \
    web_static/webui_client/shallot.128.png \
    mime.types \
    mime.2.types

RESOURCES += \
    resources.qrc

for(FILE, OTHER_FILES) {
    D="icons/"
    exists($${D}/$$replace(FILE,$$D,"")){
        EXTRA_BINFILES_ICONS += $$FILE
    }
}

for(FILE, OTHER_FILES) {
    D="web_static/clove"
    exists($${D}/$$replace(FILE,$$D,"")){
        EXTRA_BINFILES_WEBSTATIC_CLOVE += $$FILE
    }
}

for(FILE, OTHER_FILES) {
    D="web_static/webui_client"
    exists($${D}/$$replace(FILE,$$D,"")){
        EXTRA_BINFILES_WEBSTATIC_WEBUICLIENT += $$FILE
    }
}

for(FILE, OTHER_FILES) {
    D="scriptsamples/"
    exists($${D}/$$replace(FILE,$$D,"")){
        EXTRA_BINFILES_SCRIPTSAMPLES += $$FILE
    }
}

for(FILE, OTHER_FILES) {
    D="plugins/"
    exists($${D}/$$replace(FILE,$$D,"")){
        EXTRA_BINFILES_PLUGINS += $$FILE
    }
}

isEmpty(OTHER_FILES_DESTINATION) {
    OTHER_FILES_DESTINATION = $${OUT_PWD}
}

defineReplace(copyDataFile){
    file = $$1
    tgt = $$2
    dest = $$3
    !equals(PWD, $${tgt}) {
        return ($$quote($${QMAKE_COPY} $$shell_path($${PWD}/$${file}) $$shell_path($${tgt}$${dest})$$escape_expand(\n\t)))
    }
}

defineReplace(createDir){
    name = $$1
    tgt = $$2
    !equals(PWD, $${tgt}) {
        return ($$quote($$sprintf($${QMAKE_MKDIR_CMD}, $$shell_path($${tgt}/$${name}))$$escape_expand(\n\t)))
    }
}

extrafilesinstall.path = /usr/local/shallot
extrafilesinstall.files =

for(FILE, EXTRA_BINFILES) {
    extrafilesinstall.extra += $$copyDataFile($${FILE}, $${extrafilesinstall.path}, "")
    extrafiles.commands += $$copyDataFile($${FILE}, $${OTHER_FILES_DESTINATION}, "")
}
extrafilesinstall.extra += $$createDir("plugins", $${extrafilesinstall.path})
extrafiles.commands += $$createDir("plugins", $${OTHER_FILES_DESTINATION})
for(FILE, EXTRA_BINFILES_PLUGINS) {
    extrafilesinstall.extra += $$copyDataFile($${FILE}, $${extrafilesinstall.path}, "/plugins")
    extrafiles.commands += $$copyDataFile($${FILE}, $${OTHER_FILES_DESTINATION}, "/plugins")
}
extrafilesinstall.extra += $$createDir("i18n", $${extrafilesinstall.path})
extrafiles.commands += $$createDir("i18n", $${OTHER_FILES_DESTINATION})
for(FILE, EXTRA_BINFILES_I18N) {
    extrafilesinstall.extra += $$copyDataFile($${FILE}, $${extrafilesinstall.path}, "/i18n")
    extrafiles.commands += $$copyDataFile($${FILE}, $${OTHER_FILES_DESTINATION}, "/i18n")
}
extrafilesinstall.extra += $$createDir("icons", $${extrafilesinstall.path})
extrafiles.commands += $$createDir("icons", $${OTHER_FILES_DESTINATION})
for(FILE, EXTRA_BINFILES_ICONS) {
    extrafilesinstall.extra += $$copyDataFile($${FILE}, $${extrafilesinstall.path}, "/icons")
    extrafiles.commands += $$copyDataFile($${FILE}, $${OTHER_FILES_DESTINATION}, "/icons")
}
extrafilesinstall.extra += $$createDir("scriptsamples",$${extrafilesinstall.path})
extrafiles.commands += $$createDir("scriptsamples", $${OTHER_FILES_DESTINATION})
for(FILE, EXTRA_BINFILES_SCRIPTSAMPLES) {
    extrafilesinstall.extra += $$copyDataFile($${FILE}, $${extrafilesinstall.path}, "/scriptsamples")
    extrafiles.commands += $$copyDataFile($${FILE}, $${OTHER_FILES_DESTINATION}, "/scriptsamples")
}
extrafilesinstall.extra += $$createDir("web_static",$${extrafilesinstall.path})
extrafiles.commands += $$createDir("web_static", $${OTHER_FILES_DESTINATION})
extrafilesinstall.extra += $$createDir("web_static/clove",$${extrafilesinstall.path})
extrafiles.commands += $$createDir("web_static/clove", $${OTHER_FILES_DESTINATION})
extrafilesinstall.extra += $$createDir("web_static/webui_client",$${extrafilesinstall.path})
extrafiles.commands += $$createDir("web_static/webui_client", $${OTHER_FILES_DESTINATION})
for(FILE, EXTRA_BINFILES_WEBSTATIC_CLOVE) {
    extrafilesinstall.extra += $$copyDataFile($${FILE}, $${extrafilesinstall.path}, "/web_static/clove")
    extrafiles.commands += $$copyDataFile($${FILE}, $${OTHER_FILES_DESTINATION}, "/web_static/clove")
}
for(FILE, EXTRA_BINFILES_WEBSTATIC_WEBUICLIENT) {
    extrafilesinstall.extra += $$copyDataFile($${FILE}, $${extrafilesinstall.path}, "/web_static/webui_client")
    extrafiles.commands += $$copyDataFile($${FILE}, $${OTHER_FILES_DESTINATION}, "/web_static/webui_client")
}

QMAKE_EXTRA_TARGETS += extrafiles
POST_TARGETDEPS += extrafiles
target.path = /usr/local/shallot
INSTALLS += extrafilesinstall target
