/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef UNIXFILETOOLMIMETYPEDETERMINATIONMETHOD_H
#define UNIXFILETOOLMIMETYPEDETERMINATIONMETHOD_H

#include "filetypemanager.h"


namespace sh {
    namespace configuration {class ConfigurationValue;}

    namespace tools {
        namespace filetypes {

            /** \brief Tries to determine a file's mimetype with the unix `file` tool.
             */
            class UnixFileToolMimetypeDeterminationStrategy : public sh::tools::filetypes::FileTypeManager::MimetypeDeterminationStrategy
            {
            public:

                UnixFileToolMimetypeDeterminationStrategy(sh::tools::filetypes::FileTypeManager *manager);
                QHash<std::shared_ptr<const sh::filesystem::Eurl>, QString> determineMimetype(sh::filesystem::Operation* op, QList<std::shared_ptr<const sh::filesystem::Eurl>> items);
                static std::shared_ptr<sh::configuration::ConfigurationValue> cfgvalFilePath;

            private:

                QString _pathToFileTool;
                const QRegularExpression _reMimetype;
                QMutex _mutex;

            };

        }
    }
}

#endif // UNIXFILETOOLMIMETYPEDETERMINATIONMETHOD_H
