/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include "dialog.h"


namespace sh{
    namespace ui {

        /** \brief The 'About' dialog.
         */
        class AboutDialog : public Dialog
        {
        public:

            /** \brief
             * @a_infrastructure
             */
            AboutDialog();

        protected:

            /** \brief Returns a web url to the Shallot license.
             */
            QString licenseUrl();

            /** \brief Returns a web url to the Shallot homepage.
             */
            QString homepageUrl();

        };

    }
}

#endif // ABOUTDIALOG_H
