/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "base/mainthread.h"
#include "actionexecutioninfodialog.h"


sh::ui::ActionExecutionInfoDialog::ActionExecutionInfoDialog(sh::actions::ActionExecutionInfo *info) : _info(info)
{
}

bool sh::ui::ActionExecutionInfoDialog::isLogicallyVisible()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _logicallyVisible;
}

void sh::ui::ActionExecutionInfoDialog::setLogicallyVisible(bool v)
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    _logicallyVisible = v;
}

bool sh::ui::ActionExecutionInfoDialog::isBackground()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _isbackground;
}

void sh::ui::ActionExecutionInfoDialog::setBackground(bool v)
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    _isbackground = v;
}

void sh::ui::ActionExecutionInfoDialog::setForceForeground(bool v)
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    _isforeground_forced = v;
}

sh::actions::ActionExecutionInfo* sh::ui::ActionExecutionInfoDialog::info()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _info;
}
