/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "base/mainthread.h"
#include "actionexecutioninfopanel.h"


sh::ui::ActionExecutionInfoPanel::~ActionExecutionInfoPanel()
{
}

void sh::ui::ActionExecutionInfoPanel::_emit_clicked()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    myqobject._emit_clicked();
}

void sh::ui::ActionExecutionInfoPanel::_emit_visibilityChanged()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    myqobject._emit_visibilityChanged();
}

void sh::ui::_ActionExecutionInfoPanel_HelperQObject::_emit_clicked()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    emit clicked();
}

void sh::ui::_ActionExecutionInfoPanel_HelperQObject::_emit_visibilityChanged()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    emit visibilityChanged();
}

void sh::ui::ActionExecutionInfoPanel::onClicked(std::function<void()> fct, QObject* owner)
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    if (!owner)
        owner = &myqobject;
    QObject::connect(&myqobject, &sh::ui::_ActionExecutionInfoPanel_HelperQObject::clicked, owner, fct);
}

void sh::ui::ActionExecutionInfoPanel::onDestroyed(std::function<void()> fct, QObject* owner)
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    if (!owner)
        owner = &myqobject;
    QObject::connect(&myqobject, &sh::ui::_ActionExecutionInfoPanel_HelperQObject::destroyed, owner, fct);
}

void sh::ui::ActionExecutionInfoPanel::onVisibilityChanged(std::function<void()> fct, QObject* owner)
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    if (!owner)
        owner = &myqobject;
    QObject::connect(&myqobject, &sh::ui::_ActionExecutionInfoPanel_HelperQObject::visibilityChanged, owner, fct);
}
