/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "exceptiondialog.h"


sh::ui::ExceptionDialog::ExceptionDialog(QString error1, QString error2, QString details, QString icon, bool mayRetry, bool mayClose, bool mayCancel, bool showLoglabelAndDetails)
            : _error1(error1), _error2(error2), _details(details), _icon(icon), _mayRetry(mayRetry), _mayClose(mayClose), _mayCancel(mayCancel), _showLoglabelAndDetails(showLoglabelAndDetails)
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
}

QString sh::ui::ExceptionDialog::error1()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _error1;
}

QString sh::ui::ExceptionDialog::error2()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _error2;
}

QString sh::ui::ExceptionDialog::details()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _details;
}

QString sh::ui::ExceptionDialog::icon()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _icon;
}

bool sh::ui::ExceptionDialog::mayRetry()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _mayRetry;
}

bool sh::ui::ExceptionDialog::mayClose()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _mayClose;
}

bool sh::ui::ExceptionDialog::mayCancel()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _mayCancel;
}

bool sh::ui::ExceptionDialog::showLoglabelAndDetails()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _showLoglabelAndDetails;
}
