/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "filepropertydialogtabactionsview.h"


sh::ui::FilePropertyDialogTabActionsView::FilePropertyDialogTabActionsView()
{
}

void sh::ui::FilePropertyDialogTabActionsView::_emit_buttonTriggered(int i)
{
    myqobject._emit_buttonTriggered(i);
}

void sh::ui::_FilePropertyDialogTabActionsView_HelperQObject::_emit_buttonTriggered(int i)
{
    emit buttonTriggered(i);
}

void sh::ui::FilePropertyDialogTabActionsView::onButtonTriggered(std::function<void(int)> fct, QObject* owner)
{
    if (!owner)
        owner = &myqobject;
    QObject::connect(&myqobject, &sh::ui::_FilePropertyDialogTabActionsView_HelperQObject::buttonTriggered, owner, fct);
}

sh::ui::FilePropertyDialogTabViewContent* sh::ui::FilePropertyDialogTabActionsView::content()
{
    return _content;
}

void sh::ui::FilePropertyDialogTabActionsView::setContent(FilePropertyDialogTabViewContent* cnt)
{
    _content = cnt;
}

QList<QString> sh::ui::FilePropertyDialogTabActionsView::buttons()
{
    return _buttons;
}

void sh::ui::FilePropertyDialogTabActionsView::setButtons(QList<QString> buttons)
{
    _buttons = buttons;
}

sh::ui::FilePropertyDialogTabTableView::FilePropertyDialogTabTableView() : FilePropertyDialogTabViewContent()
{
}

sh::ui::FilePropertyDialogTabTextView::FilePropertyDialogTabTextView() : FilePropertyDialogTabViewContent()
{
}

sh::ui::FilePropertyDialogTabIconTextBannerView::FilePropertyDialogTabIconTextBannerView() : FilePropertyDialogTabViewContent()
{
}

sh::ui::FilePropertyDialogTabViewContent::FilePropertyDialogTabViewContent()
{
}

sh::ui::FilePropertyDialogTabViewContent::~FilePropertyDialogTabViewContent()
{
}
