/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "base/mainthread.h"
#include "logviewdialog.h"


sh::ui::LogViewDialog::LogViewDialog(QString headtext, QString subheadtxt, sh::base::LogSeverity minseverity) : _headtext(headtext), _subheadtxt(subheadtxt), _minseverity(minseverity)
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
}

QString sh::ui::LogViewDialog::headtext()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _headtext;
}

QString sh::ui::LogViewDialog::subheadtxt()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _subheadtxt;
}

sh::base::LogSeverity sh::ui::LogViewDialog::minimumSeverity()
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    return _minseverity;
}

void sh::ui::LogViewDialog::_setMinimumSeverity(sh::base::LogSeverity minseverity)
{
    ONLY_ALLOWED_TO_CALL_FROM_MAIN_THREAD
    _minseverity = minseverity;
}
