/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "credentials.h"
#include "ui_credentials.h"


sh::ui::qt::feedbackpanels::Credentials::Credentials(QString domain, QString username, QString password, QString text, bool showDomain, bool showUsername, bool showPassword, bool showAnonymous, bool showRemember) :
    sh::ui::qt::feedbackpanels::FeedbackPanel(),
    ui(new Ui::Credentials)
{
    ui->setupUi(this);
    ui->editDomain->setText(domain);
    ui->editUsername->setText(username);
    ui->editPassword->setText(password);
    ui->lblHeader->setText(text);
    ui->editDomain->setVisible(showDomain);
    ui->editUsername->setVisible(showUsername);
    ui->editPassword->setVisible(showPassword);
    ui->lblDomain->setVisible(showDomain);
    ui->lblUsername->setVisible(showUsername);
    ui->lblPassword->setVisible(showPassword);
    ui->chkAnonymous->setVisible(showAnonymous);
    ui->chkRemember->setVisible(showRemember);
    on_chkAnonymous_toggled(ui->chkAnonymous->isChecked());
}

sh::ui::qt::feedbackpanels::Credentials::~Credentials()
{
    delete ui;
}

void sh::ui::qt::feedbackpanels::Credentials::cancelRequested()
{
    on_pushButton_4_clicked();
}

void sh::ui::qt::feedbackpanels::Credentials::on_chkAnonymous_toggled(bool checked)
{
    ui->lblDomain->setEnabled(!checked);
    ui->lblUsername->setEnabled(!checked);
    ui->lblPassword->setEnabled(!checked);
    ui->editDomain->setEnabled(!checked);
    ui->editUsername->setEnabled(!checked);
    ui->editPassword->setEnabled(!checked);
}

void sh::ui::qt::feedbackpanels::Credentials::on_pushButton_3_clicked()
{
    domain = ui->editDomain->text();
    username = ui->editUsername->text();
    password = ui->editPassword->text();
    anonymous = ui->chkAnonymous->isChecked();
    remember = ui->chkRemember->isChecked();
    accepted = true;
    setClosed();
}

void sh::ui::qt::feedbackpanels::Credentials::on_pushButton_4_clicked()
{
    accepted = false;
    setClosed();
}
