/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GRIDFORMINNERSIMPLECHOOSER_H
#define GRIDFORMINNERSIMPLECHOOSER_H

#include <QLineEdit>
#include <QVBoxLayout>
#include <QWidget>
#include "actions/actionexecutionuserfeedback.h"


namespace sh{
    namespace ui{
        namespace qt{
            namespace feedbackpanels {

                /** \brief Helper widget for a GridForm.
                 */
                class GridFormInnerSimpleChooser : public QWidget
                {
                    Q_OBJECT

                public:
                    explicit GridFormInnerSimpleChooser(sh::actions::ActionExecutionUserFeedback::Choices* choices, QWidget *parent = 0);
                    ~GridFormInnerSimpleChooser();
                    int answer = -1;
                    QString text;

                private slots:
                    void slot_chosen(int id);
                    void slot_textedited(QString t);

                private:
                    bool eventFilter(QObject *obj, QEvent *event);
                    QLineEdit* lineedit;
                    sh::actions::ActionExecutionUserFeedback::Choices* choices;
                    QVBoxLayout* mylayout;
                    sh::actions::ActionExecutionUserFeedback::Choice* currentchoice = 0;
                };

            }
        }
    }
}

#endif // GRIDFORMINNERSIMPLECHOOSER_H
