/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "qtlinkbutton.h"
#include "qtfilepropertydialogtabactionsview.h"


sh::ui::qt::QtFilePropertyDialogTabActionsView::QtFilePropertyDialogTabActionsView(QWidget* parent)
            : QWidget(parent)
{
    layout = new QVBoxLayout(this);
    layout->setContentsMargins(0, 0, 0, 0);
    setLayout(layout);
    QWidget* win = new QWidget(parent);
    inlayout = new QVBoxLayout(win);
    inlayout->setContentsMargins(0, 0, 0, 0);
    win->setLayout(inlayout);
    QWidget* wbtns = new QWidget(parent);
    btnslayout = new QVBoxLayout(wbtns);
    btnslayout->setContentsMargins(0, 0, 0, 0);
    wbtns->setLayout(btnslayout);
    layout->addWidget(win);
    layout->addWidget(wbtns);
}

void sh::ui::qt::QtFilePropertyDialogTabActionsView::setContent(FilePropertyDialogTabViewContent* cnt)
{
    sh::ui::FilePropertyDialogTabActionsView::setContent(cnt);
    if (inlayout->count() > 0)
        inlayout->removeItem(inlayout->itemAt(0));
    inlayout->addWidget(dynamic_cast<QWidget*>(cnt));
}

void sh::ui::qt::QtFilePropertyDialogTabActionsView::setButtons(QList<QString> buttons)
{
    sh::ui::FilePropertyDialogTabActionsView::setButtons(buttons);
    while(btnslayout->count() > 0)
        btnslayout->removeItem(btnslayout->itemAt(0));
    foreach(QString btntext, buttons)
    {
        sh::ui::qt::QtLinkButton* btn = new sh::ui::qt::QtLinkButton(this);
        btn->setText(btntext);
        btnslayout->addWidget(btn);
        connect(btn, &sh::ui::qt::QtLinkButton::clicked, this, [=](){
            _emit_buttonTriggered(btnslayout->indexOf(qobject_cast<QWidget*>(sender())));
        });
    }
}

void sh::ui::qt::QtFilePropertyDialogTabActionsView::setVisible(bool v)
{
    QWidget::setVisible(v);
}
