/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef QTFILEPROPERTYDIALOGTABACTIONSVIEW_H
#define QTFILEPROPERTYDIALOGTABACTIONSVIEW_H

#include <functional>
#include <memory>
#include <QVBoxLayout>
#include <QWidget>
#include "ui/filepropertydialogtabactionsview.h"


namespace sh {
    namespace ui {
        namespace qt {

            /** \brief A tab view which shows a main widget in the main part and some buttons below.
             */
            class QtFilePropertyDialogTabActionsView : public QWidget, public sh::ui::FilePropertyDialogTabActionsView
            {
                Q_OBJECT
            public:
                /** \brief Is intended to be directly constructed from everywhere.
                 */
                explicit QtFilePropertyDialogTabActionsView(QWidget* parent = 0);
                void setContent(FilePropertyDialogTabViewContent* w);
                void setButtons(QList<QString> buttons);
                void setVisible(bool v);

            protected:
                QVBoxLayout* layout;
                QVBoxLayout* inlayout;
                QVBoxLayout* btnslayout;

            };

        }
    }
}

#endif // QTFILEPROPERTYDIALOGTABACTIONSVIEW_H
