/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef QTFILEPROPERTYDIALOGTABICONTEXTBANNERVIEW_H
#define QTFILEPROPERTYDIALOGTABICONTEXTBANNERVIEW_H

#include <QHBoxLayout>
#include <QIcon>
#include <QLabel>
#include <QWidget>
#include "ui/filepropertydialogtabactionsview.h"


namespace sh{
    namespace ui {
        namespace qt {

            /** \brief Qt based FilePropertyDialogTabIconTextBannerView.
             */
            class QtFilePropertyDialogTabIconTextBannerView : public QWidget, public sh::ui::FilePropertyDialogTabIconTextBannerView
            {
                Q_OBJECT
            public:
                explicit QtFilePropertyDialogTabIconTextBannerView(QWidget *parent = 0);
                void clear();
                void insertIcon(QIcon icon, int sizePt = 24);
                void insertText(QString text);
            private:
                QHBoxLayout* _layout;
            };

        }
    }
}

#endif // QTFILEPROPERTYDIALOGTABICONTEXTBANNERVIEW_H
