/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef QTFILEPROPERTYDIALOGTABTABLEVIEW_H
#define QTFILEPROPERTYDIALOGTABTABLEVIEW_H

#include <functional>
#include <memory>
#include <QHeaderView>
#include <QResizeEvent>
#include <QStandardItemModel>
#include <QTableWidget>
#include "ui/filepropertydialogtabactionsview.h"


namespace sh {
    namespace ui {
        namespace qt {

            /** \brief Qt based FilePropertyDialogTabTableView.
             */
            class QtFilePropertyDialogTabTableView : public QTableView, public sh::ui::FilePropertyDialogTabTableView
            {
                Q_OBJECT
            public:
                explicit QtFilePropertyDialogTabTableView(QWidget* parent = 0);
                void setContent(QList<QPair<QString, QString>> content);
                QList<ItemIndex> getSelectedItems();
                QVariant getItemValue(int r, int c);

            protected:
                typedef QPair<QString, QString> StringPair;
                virtual bool eventFilter(QObject *obj, QEvent *event);
                virtual QSize sizeHint() const;
                virtual QSize minimumSizeHint() const;
                virtual void resizeEvent(QResizeEvent* event);
                QList<QPair<QString, QString>> content;
            private:
                void createAndSetModel();
            };

        }
    }
}

#endif // QTFILEPROPERTYDIALOGTABTABLEVIEW_H
