/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef QTLINKBUTTON_H
#define QTLINKBUTTON_H

#include <QMenu>
#include <QToolButton>


namespace sh{
    namespace ui {
        namespace qt {

            /** \brief
             * QToolButton with different look.
             */
            class QtLinkButton : public QToolButton
            {
                Q_OBJECT
            public:
                explicit QtLinkButton(QWidget *parent = 0);
                void setSizeByFactor(int f);

                void setMenu(QStringList items, QString menuchangetxt=tr("(change)"));
                void setSelectedMenuItem(int idx);

            signals:
                void menuItemSelected(int idx);

            private:
                QString _linkcolor;
                QStringList _menuitems;
                QString _menuchangetxt;

            };

        }
    }
}

#endif // QTLINKBUTTON_H
