/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef QTLOGVIEWDIALOG_H
#define QTLOGVIEWDIALOG_H

#include <QDialog>
#include <QFileDialog>
#include <QMenu>
#include "base/logger.h"
#include "ui/logviewdialog.h"
#include "qtdialog.h"


namespace Ui {
class QtLogViewDialog;
}

namespace sh{
    namespace ui {
        namespace qt {

            /** \brief
             * Qt based log view dialog.
             */
            class QtLogViewDialog : public QtDialog, public sh::ui::LogViewDialog
            {
                Q_OBJECT

            public:
                explicit QtLogViewDialog(QString headtext, QString subheadtxt, base::LogSeverity minseverity);
                ~QtLogViewDialog();

            private slots:
                void on_btnClose_clicked();
                void on_btnSaveToFile_clicked();
                void on_btnSeverity_clicked();

            private:
                Ui::QtLogViewDialog *ui;
                void _reloadLog();
                void setMinimumSeverity(sh::base::LogSeverity minseverity);
            };

        }
    }
}

#endif // QTLOGVIEWDIALOG_H
