/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef QTSETTINGUIFRAME_H
#define QTSETTINGUIFRAME_H

#include <QBoxLayout>
#include <QCheckBox>
#include <QFrame>
#include <QLabel>
#include <QMouseEvent>
#include <QVariant>


namespace sh{
    namespace settings{class Setting;}
    namespace ui{
        namespace qt {

            /** \brief User interface for one handling one setting.
             */
            class QtSettingUIFrame : public QFrame
            {
                Q_OBJECT
            public:
                explicit QtSettingUIFrame(sh::settings::Setting* setting, bool withcheckbox, QString displayvalue, QString additionalCheck, QVariant additionalCheckValue, QWidget *parent = 0);
                bool isChecked();
                void setChecked(bool val);
                void setAdditionalCheckVisible(bool v);
                QVariant additionalCheckValue();

            signals:

            public slots:

            protected:
                void mouseReleaseEvent(QMouseEvent *event);

            private:
                QCheckBox* _checkbox = 0;
                QCheckBox* _additionalcheckbox = 0;
                QLabel* _additionalcheckboxlabel = 0;
                QWidget* _additionalcheckwidget = 0;
                QVariant _additionalCheckValue;
            };

        }
    }
}

#endif // QTSETTINGUIFRAME_H
