/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef QTTOOLBARBUTTONHANDLER_H
#define QTTOOLBARBUTTONHANDLER_H

#include <memory>
#include <QList>
#include <QToolBar>


namespace sh{
    namespace actions { class AbstractActionItem; class ActionActionItem; class SubmenuActionItem; }
    namespace ui {
        namespace qt {
            class QtActionMenu;
            class QtToolbarButton;

            /** \brief A handler which reflects the sh::actions objects to a graphical toolbar button (and keeps that up-to-date).
             */
            class QtToolbarButtonHandler
            {
            public:
                QtToolbarButtonHandler(std::shared_ptr<sh::actions::SubmenuActionItem> action, bool preventDefaultAction, QtToolbarButton* button, QAction* qaction);
                ~QtToolbarButtonHandler();
            private:
                static void _applyPropertiesToButton(sh::actions::SubmenuActionItem *action, QtToolbarButton* button, QAction *qaction);
                void _updateSubmenu();
                std::shared_ptr<sh::actions::SubmenuActionItem> action;
                QtActionMenu menu;
                bool preventDefaultAction;
                QtToolbarButton* button;
            };

        }
    }
}

#endif // QTTOOLBARBUTTONHANDLER_H
