/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef WEBACTIONEXECUTIONINFOPANEL_H
#define WEBACTIONEXECUTIONINFOPANEL_H

#include "ui/actionexecutioninfopanel.h"


namespace sh{
    namespace ui{
        namespace web{

            /** \brief Web based action execution info panel.
             */
            class WebActionExecutionInfoPanel : public ActionExecutionInfoPanel
            {
                friend class WebActionManager;
            public:
                WebActionExecutionInfoPanel(sh::actions::ActionExecutionInfo* info, QColor color);
                ~WebActionExecutionInfoPanel();
                virtual void setLabel(QString s);
                virtual void setProgress(bool isProgressDeterminate, quint64 progressDone, quint64 progressAll);
                virtual void setForceForeground(bool v);
                virtual void setPanelVisible(bool v);
                virtual void setWidth(int width);
                qint64 id();
                QString label();
                bool isProgressDeterminate();
                quint64 progressDone();
                quint64 progressAll();
                bool forceForeground();
                bool panelVisible();
                int width();
                QColor color();
                sh::actions::ActionExecutionInfo* info();

            private:
                void _triggerChanged();
                QColor _color;
                sh::actions::ActionExecutionInfo* _info;
                qint64 _id;
                QString _label;
                bool _isProgressDeterminate;
                quint64 _progressDone;
                quint64 _progressAll;
                bool _forceForeground;
                bool _panelVisible;
                int _width;
            };

        }
    }
}

#endif // WEBACTIONEXECUTIONINFOPANEL_H
