/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef WEBEXCEPTIONDIALOG_H
#define WEBEXCEPTIONDIALOG_H

#include <QBuffer>
#include "ui/exceptiondialog.h"
#include "webdialog.h"


namespace sh{
    namespace ui{
        namespace web{

            /** \brief Web based exception dialog.
             */
            class WebExceptionDialog : public QObject, public WebDialog, public ExceptionDialog
            {
                Q_OBJECT
            public:
                WebExceptionDialog(QString error1, QString error2, QString details, QString icon, bool mayRetry, bool mayClose, bool mayCancel, bool showLoglabelAndDetails);
                ExceptionDialogResult answer() override;

            private slots:
                void cmd__icon__M(WebServerEngineRequest* request);

            protected:
                virtual bool executeDialogCommand(WebServerEngineRequest* request, QString command) override;

            };

        }
    }
}

#endif // WEBEXCEPTIONDIALOG_H
