/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef WEBI18N_H
#define WEBI18N_H

#include <QDateTime>
#include <QJsonObject>


namespace sh {
    namespace ui {
        namespace web {

            /** @brief Web related helpers for internationalization/translations.
             */
            class WebI18n
            {
            public:

                /** \brief Returns the Javascript representation for translated strings (in current ui language).
                 */
                static QString get();

            };

        }
    }
}

#endif // WEBI18N_H
