/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef WEBLOGVIEWDIALOG_H
#define WEBLOGVIEWDIALOG_H

#include "base/logger.h"
#include "webdialog.h"
#include "ui/logviewdialog.h"


namespace sh{
    namespace ui{
        namespace web{

            /** \brief Web based log view dialog.
             */
            class WebLogViewDialog : public QObject, public WebDialog, public LogViewDialog
            {
                Q_OBJECT
            public:
                WebLogViewDialog(QString headtext, QString subheadtxt, sh::base::LogSeverity minseverity);
            protected:
                virtual bool executeDialogCommand(WebServerEngineRequest* request, QString command) override;
            private slots:
                void cmd__get_messages(WebServerEngineRequest* request);
            };

        }
    }
}

#endif // WEBLOGVIEWDIALOG_H
