/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef WEBMANAGEBOOKMARKSDIALOG_H
#define WEBMANAGEBOOKMARKSDIALOG_H

#include "ui/managebookmarksdialog.h"
#include "webdialog.h"


namespace sh{
    namespace ui{
        namespace web{

            /** \brief Web based manage bookmarks dialog.
             */
            class WebManageBookmarksDialog : public QObject, public WebDialog, public ManageBookmarksDialog
            {
                Q_OBJECT
            public:
                WebManageBookmarksDialog();
            protected:
                virtual bool executeDialogCommand(WebServerEngineRequest* request, QString command) override;
            private slots:
                void cmd__add_bookmark__M(WebServerEngineRequest* request);
                void cmd__delete_bookmark(WebServerEngineRequest* request);
                void cmd__get(WebServerEngineRequest* request);
                void cmd__move_bookmark_down(WebServerEngineRequest* request);
                void cmd__move_bookmark_to_folder(WebServerEngineRequest* request);
                void cmd__move_bookmark_up(WebServerEngineRequest* request);
                void cmd__store(WebServerEngineRequest* request);
            };

        }
    }
}

#endif // WEBMANAGEBOOKMARKSDIALOG_H
