/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef WEBMANAGEPROFILESDIALOG_H
#define WEBMANAGEPROFILESDIALOG_H

#include "ui/manageprofilesdialog.h"
#include "webdialog.h"


namespace sh{
    namespace ui{
        namespace web{

            /** \brief Web based manage saved settings dialog.
             */
            class WebManageProfilesDialog : public QObject, public WebDialog, public ManageProfilesDialog
            {
                Q_OBJECT
            public:
                WebManageProfilesDialog();
            protected:
                virtual bool executeDialogCommand(WebServerEngineRequest* request, QString command) override;
            private slots:
                void cmd__get__M(WebServerEngineRequest* request);
                void cmd__icon(WebServerEngineRequest* request);
                void cmd__remove_node__M(WebServerEngineRequest* request);
                void cmd__remove_profile__M(WebServerEngineRequest* request);
            };

        }
    }
}

#endif // WEBMANAGEPROFILESDIALOG_H
