/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2020 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef WEBSTOREPROFILEDIALOG_H
#define WEBSTOREPROFILEDIALOG_H

#include "ui/storeprofiledialog.h"
#include "webdialog.h"


namespace sh{
    namespace ui{
        namespace web{

            /** \brief Web based save settings dialog.
             */
            class WebStoreProfileDialog : public QObject, public WebDialog, public StoreProfileDialog
            {
                Q_OBJECT
            public:
                WebStoreProfileDialog(std::shared_ptr<const sh::filesystem::Eurl> eurl);
                QList<SettingEntry> checkedSettings() override;
                QString profileName() override;
                bool withSubDirectories() override;
                QStringList inheritsFrom() override;
                bool hasGlobal() override;

            protected:
                virtual bool executeDialogCommand(WebServerEngineRequest* request, QString command) override;
            private slots:
                void cmd__get__M(WebServerEngineRequest* request);
                void cmd__store_mode__M(WebServerEngineRequest* request);
            };

        }
    }
}

#endif // WEBSTOREPROFILEDIALOG_H
