/*
 @licstart  The following is the entire license notice for the JavaScript code in this page.

 Copyright (C) 2014-2020, Josef Hahn

 This file is part of Shallot.

 Shallot is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Shallot is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Shallot.  If not, see <http://www.gnu.org/licenses/>.

 @licend  The above is the entire license notice for the JavaScript code in this page.
*/


(function(){

    class AboutDialog extends shwebui.Dialog {

        constructor(config, domnode) {
            var sbuilt = shwebui.strings.Built.replace("%1", new Date(shwebui.strings.ShallotBuildtime).toLocaleString());
            super(clove.utils.applyDefaultsToConfig(config, {
                title: shwebui.strings.About,
                aboveHeadTextsControls: [{rows:[{label: shwebui.strings.Shallot, styleClass: 'shwebui_aboutdlg_headlabel', horizontalStretchAffinity: 1},
                                                {label: shwebui.strings.ShallotVersion, styleClass: 'shwebui_aboutdlg_detaillabel'},
                                                {label: sbuilt, styleClass: 'shwebui_aboutdlg_detaillabel'},], horizontalStretchAffinity: 1}],
                rightHeadButtons: [{view: 'Button', label: shwebui.strings.Homepage, name: 'btnHomepage'},
                                   {view: 'Button', label: shwebui.strings.License, name: 'btnLicense'},
                                   {view: 'Button', label: shwebui.strings.Close, name: 'btnClose'},],
                innerBody: [{view: 'ImageView', source: shwebui.actioncallUrl("mainwindow/shallot_icon")},
                            {rows: [
                                {label: shwebui.strings.ShallotInfo, styleClass: 'shwebui_aboutdlg_infolabel'},
                                {label: shwebui.strings.ShallotCopyright, styleClass: 'shwebui_aboutdlg_infolabel'},
                            ], styleClass: 'shwebui_dlg_innerbody_withmargin'}],
            }), domnode);
            this.addStyleClass('shwebui_aboutdlg');
        }

        doinit() {
            var self = this;
            super.doinit();
            var btnHomepage = this.containingNameScope().getByName('btnHomepage');
            var btnLicense = this.containingNameScope().getByName('btnLicense');
            var btnClose = this.containingNameScope().getByName('btnClose');
            var jaHomepage = $(btnHomepage.contentnode).find("a");
            var jaLicense = $(btnLicense.contentnode).find("a");
            jaHomepage.off('click');
            jaHomepage[0].target = "_blank";
            jaHomepage[0].href = this.config.homepageUrl;
            jaLicense.off('click');
            jaLicense[0].target = "_blank";
            jaLicense[0].href = this.config.licenseUrl;
            btnClose.OnClicked.addHandler(function(){
                self.close();
            });
        }

    }

    shwebui.AboutDialog = AboutDialog;

})();
