/*
 @licstart  The following is the entire license notice for the JavaScript code in this page.

 Copyright (C) 2014-2020, Josef Hahn

 This file is part of Shallot.

 Shallot is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Shallot is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Shallot.  If not, see <http://www.gnu.org/licenses/>.

 @licend  The above is the entire license notice for the JavaScript code in this page.
*/


(function(){


    let FileView = (superclass) => class extends superclass {

        constructor(config, domnode) {
            super(clove.utils.applyDefaultsToConfig(config, {
                allowSelection: true,
                allowChecking: true,
                granularity: 'row',
                nodeActivationNeedsDoubleClick: true,
                hideExpanders: true,
                gridVisible: false,
                columnsResizable: true,
            }), domnode);
            this.addStyleClass('shwebui_itemlist_list');
            this.declareProperty('iconDimension');
        }

        iconDimension_setter(v) {
            //TODO#
        }

        datasource_setter(v) {
            super.datasource_setter(v);
            this.OnSelectionChanged.trigger({widget: this});
            this.OnCheckedNodesChanged.trigger({widget: this});
        }

        _iterateNodes(fct) {
            var ds = this.datasource();
            var rc = ds.rowCount();
            for (var ir=0; ir<rc; ir++) {
                var ptr = ds.valuePointer(ir, 0);
                var fitm = shwebui.ShallotApplication.getFileItemForValuePointer(ptr);
                if (fct(fitm, ds, ptr))
                    break;
            }
        }

        setSelectedNode(selectedNode) {
            var self = this;
            var unselectall = true;
            this._iterateNodes(function(fitm, ds, ptr){
                if (selectedNode == fitm.eurl) {
                    self.selectCell(ptr);
                    unselectall = false;
                    return true;
                }
            });
            if (unselectall)
                this.selectCell(undefined);
        }

        setCheckedNodes(checkedNodes) {
            var scheckednodes = new Set(checkedNodes);
            var checkedptrs = [];
            this._iterateNodes(function(fitm, ds, ptr){
                if (scheckednodes.has(fitm.eurl))
                    checkedptrs.push(ptr);
            });
            this.setCheckedCells(checkedptrs);
        }

    }

    class ListFileView extends FileView(clove.DataView) {

        constructor(config, domnode) {
            super(clove.utils.applyDefaultsToConfig(config, { }), domnode);
        }

    }

    class IconFileView extends FileView(clove.DataView) {

        constructor(config, domnode) {
            super(clove.utils.applyDefaultsToConfig(config, { }), domnode);
        }

    }

    shwebui.ListFileView = ListFileView;

})();
