/*
 @licstart  The following is the entire license notice for the JavaScript code in this page.

 Copyright (C) 2014-2020, Josef Hahn

 This file is part of Shallot.

 Shallot is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Shallot is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Shallot.  If not, see <http://www.gnu.org/licenses/>.

 @licend  The above is the entire license notice for the JavaScript code in this page.
*/


(function(){

    var _innerajaxhandler = clove._ajaxprovider;

    function ajax(config) {
        if (!config.error) {
            config.error = function(oe, se, ee) {
                if (se !== 'abort') {
                    if (oe.readyState < 4 || oe.status == 502)
                        clove.Dialog.show({view: 'shwebui.ExceptionDialog', noIcon: true, error2: shwebui.strings.BackendClosedUnexpectedly}, {modal: true});
                    else {
                        var hlog = [['url', config.url]];
                        for (var ddata in config.data)
                            hlog.push(['- '+ddata, config.data[ddata]]);
                        shwebui.errorhandler({message: shwebui.strings.ErrorServer, source: "webadapter.poconet.js::ajax",
                                              hlog: [...hlog, ['error type', se], ['status', oe.status], ['readyState', oe.readyState], ['statusText', ee], ['responseText', oe.responseText]]});
                    }
                }
            };
        }
        config.dataType = 'json';
        return _innerajaxhandler(config);
    }

    shwebui.ajax = ajax;

    function actioncallUrl(actioncall) {
        return actioncall;
    }

    shwebui.actioncallUrl = actioncallUrl;

})();
